// adc_ltc2308.v

// Generated using ACDS version 24.2 40

`timescale 1 ps / 1 ps
module adc_ltc2308 (
		input  wire        slave_chipselect_n, //          slave.chipselect_n
		input  wire        slave_read_n,       //               .read_n
		output wire [15:0] slave_readdata,     //               .readdata
		input  wire        slave_addr,         //               .address
		input  wire        slave_wrtie_n,      //               .write_n
		input  wire [15:0] slave_wriredata,    //               .writedata
		output wire        ADC_CONVST,         //    conduit_end.CONVST
		output wire        ADC_SCK,            //               .SCK
		output wire        ADC_SDI,            //               .SDI
		input  wire        ADC_SDO,            //               .SDO
		input  wire        slave_reset_n,      //     reset_sink.reset_n
		input  wire        slave_clk,          //     clock_sink.clk
		input  wire        adc_clk             // clock_sink_adc.clk
	);

	adc_ltc2308_fifo adc_ltc2308 (
		.slave_chipselect_n (slave_chipselect_n), //   input,   width = 1,          slave.chipselect_n
		.slave_read_n       (slave_read_n),       //   input,   width = 1,               .read_n
		.slave_readdata     (slave_readdata),     //  output,  width = 16,               .readdata
		.slave_addr         (slave_addr),         //   input,   width = 1,               .address
		.slave_wrtie_n      (slave_wrtie_n),      //   input,   width = 1,               .write_n
		.slave_wriredata    (slave_wriredata),    //   input,  width = 16,               .writedata
		.ADC_CONVST         (ADC_CONVST),         //  output,   width = 1,    conduit_end.CONVST
		.ADC_SCK            (ADC_SCK),            //  output,   width = 1,               .SCK
		.ADC_SDI            (ADC_SDI),            //  output,   width = 1,               .SDI
		.ADC_SDO            (ADC_SDO),            //   input,   width = 1,               .SDO
		.slave_reset_n      (slave_reset_n),      //   input,   width = 1,     reset_sink.reset_n
		.slave_clk          (slave_clk),          //   input,   width = 1,     clock_sink.clk
		.adc_clk            (adc_clk)             //   input,   width = 1, clock_sink_adc.clk
	);

endmodule
