// audio.v

// Generated using ACDS version 24.2 40

`timescale 1 ps / 1 ps
module audio (
		input  wire [2:0]  avs_s1_address,       //     avalon_slave.address
		input  wire        avs_s1_read,          //                 .read
		output wire [15:0] avs_s1_readdata,      //                 .readdata
		input  wire        avs_s1_write,         //                 .write
		input  wire [15:0] avs_s1_writedata,     //                 .writedata
		input  wire        avs_s1_clk,           //       clock_sink.clk
		input  wire        avs_s1_reset,         // clock_sink_reset.reset
		output wire        avs_s1_export_XCK,    //      conduit_end.XCK
		input  wire        avs_s1_export_ADCDAT, //                 .ADCDAT
		input  wire        avs_s1_export_ADCLRC, //                 .ADCLRC
		output wire        avs_s1_export_DACDAT, //                 .DACDAT
		input  wire        avs_s1_export_DACLRC, //                 .DACLRC
		input  wire        avs_s1_export_BCLK    //                 .BCLK
	);

	AUDIO_IF audio (
		.avs_s1_address       (avs_s1_address),       //   input,   width = 3,     avalon_slave.address
		.avs_s1_read          (avs_s1_read),          //   input,   width = 1,                 .read
		.avs_s1_readdata      (avs_s1_readdata),      //  output,  width = 16,                 .readdata
		.avs_s1_write         (avs_s1_write),         //   input,   width = 1,                 .write
		.avs_s1_writedata     (avs_s1_writedata),     //   input,  width = 16,                 .writedata
		.avs_s1_clk           (avs_s1_clk),           //   input,   width = 1,       clock_sink.clk
		.avs_s1_reset         (avs_s1_reset),         //   input,   width = 1, clock_sink_reset.reset
		.avs_s1_export_XCK    (avs_s1_export_XCK),    //  output,   width = 1,      conduit_end.export
		.avs_s1_export_ADCDAT (avs_s1_export_ADCDAT), //   input,   width = 1,                 .export
		.avs_s1_export_ADCLRC (avs_s1_export_ADCLRC), //   input,   width = 1,                 .export
		.avs_s1_export_DACDAT (avs_s1_export_DACDAT), //  output,   width = 1,                 .export
		.avs_s1_export_DACLRC (avs_s1_export_DACLRC), //   input,   width = 1,                 .export
		.avs_s1_export_BCLK   (avs_s1_export_BCLK)    //   input,   width = 1,                 .export
	);

endmodule
