	component system is
		port (
			fan_speed_export          : in std_logic_vector(15 downto 0) := (others => 'X'); -- export
			pin_status_export         : in std_logic_vector(15 downto 0) := (others => 'X'); -- export
			power_in_voltage_export   : in std_logic_vector(15 downto 0) := (others => 'X'); -- export
			temperature_board1_export : in std_logic_vector(15 downto 0) := (others => 'X'); -- export
			temperature_board2_export : in std_logic_vector(15 downto 0) := (others => 'X'); -- export
			temperature_fpga_export   : in std_logic_vector(15 downto 0) := (others => 'X'); -- export
			clock_in_clk              : in std_logic                     := 'X';             -- clk
			reset_n_reset_n           : in std_logic                     := 'X'              -- reset_n
		);
	end component system;

	u0 : component system
		port map (
			fan_speed_export          => CONNECTED_TO_fan_speed_export,          --          fan_speed.export
			pin_status_export         => CONNECTED_TO_pin_status_export,         --         pin_status.export
			power_in_voltage_export   => CONNECTED_TO_power_in_voltage_export,   --   power_in_voltage.export
			temperature_board1_export => CONNECTED_TO_temperature_board1_export, -- temperature_board1.export
			temperature_board2_export => CONNECTED_TO_temperature_board2_export, -- temperature_board2.export
			temperature_fpga_export   => CONNECTED_TO_temperature_fpga_export,   --   temperature_fpga.export
			clock_in_clk              => CONNECTED_TO_clock_in_clk,              --           clock_in.clk
			reset_n_reset_n           => CONNECTED_TO_reset_n_reset_n            --            reset_n.reset_n
		);

