// system.v

// Generated using ACDS version 24.2 40

`timescale 1 ps / 1 ps
module system (
		input  wire        clock_in_clk,                                 //                              clock_in.clk
		output wire        emif_ph2_axil_driver_cal_done_rst_n_reset_n,  //   emif_ph2_axil_driver_cal_done_rst_n.reset_n
		input  wire        emif_ph2_ddr4a_ref_clk_0_clk,                 //              emif_ph2_ddr4a_ref_clk_0.clk
		output wire        emif_ph2_ddr4a_mem_0_mem_ck_t,                //                  emif_ph2_ddr4a_mem_0.mem_ck_t
		output wire        emif_ph2_ddr4a_mem_0_mem_ck_c,                //                                      .mem_ck_c
		output wire        emif_ph2_ddr4a_mem_0_mem_cke,                 //                                      .mem_cke
		output wire        emif_ph2_ddr4a_mem_0_mem_odt,                 //                                      .mem_odt
		output wire        emif_ph2_ddr4a_mem_0_mem_cs_n,                //                                      .mem_cs_n
		output wire [16:0] emif_ph2_ddr4a_mem_0_mem_a,                   //                                      .mem_a
		output wire [1:0]  emif_ph2_ddr4a_mem_0_mem_ba,                  //                                      .mem_ba
		output wire        emif_ph2_ddr4a_mem_0_mem_bg,                  //                                      .mem_bg
		output wire        emif_ph2_ddr4a_mem_0_mem_act_n,               //                                      .mem_act_n
		output wire        emif_ph2_ddr4a_mem_0_mem_par,                 //                                      .mem_par
		input  wire        emif_ph2_ddr4a_mem_0_mem_alert_n,             //                                      .mem_alert_n
		output wire        emif_ph2_ddr4a_mem_0_mem_reset_n,             //                                      .mem_reset_n
		inout  wire [31:0] emif_ph2_ddr4a_mem_0_mem_dq,                  //                                      .mem_dq
		inout  wire [3:0]  emif_ph2_ddr4a_mem_0_mem_dqs_t,               //                                      .mem_dqs_t
		inout  wire [3:0]  emif_ph2_ddr4a_mem_0_mem_dqs_c,               //                                      .mem_dqs_c
		inout  wire [3:0]  emif_ph2_ddr4a_mem_0_mem_dbi_n,               //                                      .mem_dbi_n
		input  wire        emif_ph2_ddr4a_oct_0_oct_rzqin,               //                  emif_ph2_ddr4a_oct_0.oct_rzqin
		input  wire        pio_ddr4_cal_done_external_connection_export, // pio_ddr4_cal_done_external_connection.export
		input  wire        reset_n_reset_n                               //                               reset_n.reset_n
	);

	wire          clock_in_out_clk_clk;                                                      // clock_in:out_clk -> [iopll_sys:refclk, reset_in:clk]
	wire          iopll_sys_outclk0_clk;                                                     // iopll_sys:outclk_0 -> [address_span_extender_ddr4:clk, emif_ph2_axil_driver:axil_driver_clk, emif_ph2_ddr4a:s0_axi4lite_clk, emif_ph2_ddr4a:usr_async_clk_0, intel_niosv_g:clk, intel_onchip_memory:clk, irq_mapper:clk, jtag_uart:clk, mem_reset_handler:clk, mm_interconnect_0:iopll_sys_outclk0_clk, mm_interconnect_1:iopll_sys_outclk0_clk, mm_interconnect_2:iopll_sys_outclk0_clk, pio_ddr4_cal_done:clk, rst_controller:clk, rst_controller_001:clk, rst_controller_003:clk, rst_controller_004:clk, rst_controller_005:clk, sysid_qsys:clock, timer:clk]
	wire          iopll_sys_locked_export;                                                   // iopll_sys:locked -> mem_reset_handler:conduit_0
	wire          reset_in_out_reset_reset;                                                  // reset_in:out_reset_n -> [iopll_sys:rst, mem_reset_handler:reset_n_0, rst_controller:reset_in0, rst_controller_001:reset_in0, rst_controller_002:reset_in0, rst_controller_003:reset_in0, rst_controller_004:reset_in0]
	wire   [31:0] emif_ph2_axil_driver_axil_driver_axi4_lite_awaddr;                         // emif_ph2_axil_driver:axil_driver_awaddr -> mm_interconnect_0:emif_ph2_axil_driver_axil_driver_axi4_lite_awaddr
	wire    [1:0] emif_ph2_axil_driver_axil_driver_axi4_lite_bresp;                          // mm_interconnect_0:emif_ph2_axil_driver_axil_driver_axi4_lite_bresp -> emif_ph2_axil_driver:axil_driver_bresp
	wire          emif_ph2_axil_driver_axil_driver_axi4_lite_arready;                        // mm_interconnect_0:emif_ph2_axil_driver_axil_driver_axi4_lite_arready -> emif_ph2_axil_driver:axil_driver_arready
	wire   [31:0] emif_ph2_axil_driver_axil_driver_axi4_lite_rdata;                          // mm_interconnect_0:emif_ph2_axil_driver_axil_driver_axi4_lite_rdata -> emif_ph2_axil_driver:axil_driver_rdata
	wire    [3:0] emif_ph2_axil_driver_axil_driver_axi4_lite_wstrb;                          // emif_ph2_axil_driver:axil_driver_wstrb -> mm_interconnect_0:emif_ph2_axil_driver_axil_driver_axi4_lite_wstrb
	wire          emif_ph2_axil_driver_axil_driver_axi4_lite_wready;                         // mm_interconnect_0:emif_ph2_axil_driver_axil_driver_axi4_lite_wready -> emif_ph2_axil_driver:axil_driver_wready
	wire          emif_ph2_axil_driver_axil_driver_axi4_lite_awready;                        // mm_interconnect_0:emif_ph2_axil_driver_axil_driver_axi4_lite_awready -> emif_ph2_axil_driver:axil_driver_awready
	wire          emif_ph2_axil_driver_axil_driver_axi4_lite_rready;                         // emif_ph2_axil_driver:axil_driver_rready -> mm_interconnect_0:emif_ph2_axil_driver_axil_driver_axi4_lite_rready
	wire          emif_ph2_axil_driver_axil_driver_axi4_lite_bready;                         // emif_ph2_axil_driver:axil_driver_bready -> mm_interconnect_0:emif_ph2_axil_driver_axil_driver_axi4_lite_bready
	wire          emif_ph2_axil_driver_axil_driver_axi4_lite_wvalid;                         // emif_ph2_axil_driver:axil_driver_wvalid -> mm_interconnect_0:emif_ph2_axil_driver_axil_driver_axi4_lite_wvalid
	wire   [31:0] emif_ph2_axil_driver_axil_driver_axi4_lite_araddr;                         // emif_ph2_axil_driver:axil_driver_araddr -> mm_interconnect_0:emif_ph2_axil_driver_axil_driver_axi4_lite_araddr
	wire    [1:0] emif_ph2_axil_driver_axil_driver_axi4_lite_rresp;                          // mm_interconnect_0:emif_ph2_axil_driver_axil_driver_axi4_lite_rresp -> emif_ph2_axil_driver:axil_driver_rresp
	wire    [2:0] emif_ph2_axil_driver_axil_driver_axi4_lite_arprot;                         // emif_ph2_axil_driver:axil_driver_arprot -> mm_interconnect_0:emif_ph2_axil_driver_axil_driver_axi4_lite_arprot
	wire   [31:0] emif_ph2_axil_driver_axil_driver_axi4_lite_wdata;                          // emif_ph2_axil_driver:axil_driver_wdata -> mm_interconnect_0:emif_ph2_axil_driver_axil_driver_axi4_lite_wdata
	wire          emif_ph2_axil_driver_axil_driver_axi4_lite_arvalid;                        // emif_ph2_axil_driver:axil_driver_arvalid -> mm_interconnect_0:emif_ph2_axil_driver_axil_driver_axi4_lite_arvalid
	wire    [2:0] emif_ph2_axil_driver_axil_driver_axi4_lite_awprot;                         // emif_ph2_axil_driver:axil_driver_awprot -> mm_interconnect_0:emif_ph2_axil_driver_axil_driver_axi4_lite_awprot
	wire          emif_ph2_axil_driver_axil_driver_axi4_lite_bvalid;                         // mm_interconnect_0:emif_ph2_axil_driver_axil_driver_axi4_lite_bvalid -> emif_ph2_axil_driver:axil_driver_bvalid
	wire          emif_ph2_axil_driver_axil_driver_axi4_lite_awvalid;                        // emif_ph2_axil_driver:axil_driver_awvalid -> mm_interconnect_0:emif_ph2_axil_driver_axil_driver_axi4_lite_awvalid
	wire          emif_ph2_axil_driver_axil_driver_axi4_lite_rvalid;                         // mm_interconnect_0:emif_ph2_axil_driver_axil_driver_axi4_lite_rvalid -> emif_ph2_axil_driver:axil_driver_rvalid
	wire   [26:0] mm_interconnect_0_emif_ph2_ddr4a_s0_axil_awaddr;                           // mm_interconnect_0:emif_ph2_ddr4a_s0_axil_awaddr -> emif_ph2_ddr4a:s0_axi4lite_awaddr
	wire    [1:0] mm_interconnect_0_emif_ph2_ddr4a_s0_axil_bresp;                            // emif_ph2_ddr4a:s0_axi4lite_bresp -> mm_interconnect_0:emif_ph2_ddr4a_s0_axil_bresp
	wire          mm_interconnect_0_emif_ph2_ddr4a_s0_axil_arready;                          // emif_ph2_ddr4a:s0_axi4lite_arready -> mm_interconnect_0:emif_ph2_ddr4a_s0_axil_arready
	wire   [31:0] mm_interconnect_0_emif_ph2_ddr4a_s0_axil_rdata;                            // emif_ph2_ddr4a:s0_axi4lite_rdata -> mm_interconnect_0:emif_ph2_ddr4a_s0_axil_rdata
	wire    [3:0] mm_interconnect_0_emif_ph2_ddr4a_s0_axil_wstrb;                            // mm_interconnect_0:emif_ph2_ddr4a_s0_axil_wstrb -> emif_ph2_ddr4a:s0_axi4lite_wstrb
	wire          mm_interconnect_0_emif_ph2_ddr4a_s0_axil_wready;                           // emif_ph2_ddr4a:s0_axi4lite_wready -> mm_interconnect_0:emif_ph2_ddr4a_s0_axil_wready
	wire          mm_interconnect_0_emif_ph2_ddr4a_s0_axil_awready;                          // emif_ph2_ddr4a:s0_axi4lite_awready -> mm_interconnect_0:emif_ph2_ddr4a_s0_axil_awready
	wire          mm_interconnect_0_emif_ph2_ddr4a_s0_axil_rready;                           // mm_interconnect_0:emif_ph2_ddr4a_s0_axil_rready -> emif_ph2_ddr4a:s0_axi4lite_rready
	wire          mm_interconnect_0_emif_ph2_ddr4a_s0_axil_bready;                           // mm_interconnect_0:emif_ph2_ddr4a_s0_axil_bready -> emif_ph2_ddr4a:s0_axi4lite_bready
	wire          mm_interconnect_0_emif_ph2_ddr4a_s0_axil_wvalid;                           // mm_interconnect_0:emif_ph2_ddr4a_s0_axil_wvalid -> emif_ph2_ddr4a:s0_axi4lite_wvalid
	wire   [26:0] mm_interconnect_0_emif_ph2_ddr4a_s0_axil_araddr;                           // mm_interconnect_0:emif_ph2_ddr4a_s0_axil_araddr -> emif_ph2_ddr4a:s0_axi4lite_araddr
	wire    [2:0] mm_interconnect_0_emif_ph2_ddr4a_s0_axil_arprot;                           // mm_interconnect_0:emif_ph2_ddr4a_s0_axil_arprot -> emif_ph2_ddr4a:s0_axi4lite_arprot
	wire    [1:0] mm_interconnect_0_emif_ph2_ddr4a_s0_axil_rresp;                            // emif_ph2_ddr4a:s0_axi4lite_rresp -> mm_interconnect_0:emif_ph2_ddr4a_s0_axil_rresp
	wire    [2:0] mm_interconnect_0_emif_ph2_ddr4a_s0_axil_awprot;                           // mm_interconnect_0:emif_ph2_ddr4a_s0_axil_awprot -> emif_ph2_ddr4a:s0_axi4lite_awprot
	wire   [31:0] mm_interconnect_0_emif_ph2_ddr4a_s0_axil_wdata;                            // mm_interconnect_0:emif_ph2_ddr4a_s0_axil_wdata -> emif_ph2_ddr4a:s0_axi4lite_wdata
	wire          mm_interconnect_0_emif_ph2_ddr4a_s0_axil_arvalid;                          // mm_interconnect_0:emif_ph2_ddr4a_s0_axil_arvalid -> emif_ph2_ddr4a:s0_axi4lite_arvalid
	wire          mm_interconnect_0_emif_ph2_ddr4a_s0_axil_bvalid;                           // emif_ph2_ddr4a:s0_axi4lite_bvalid -> mm_interconnect_0:emif_ph2_ddr4a_s0_axil_bvalid
	wire          mm_interconnect_0_emif_ph2_ddr4a_s0_axil_awvalid;                          // mm_interconnect_0:emif_ph2_ddr4a_s0_axil_awvalid -> emif_ph2_ddr4a:s0_axi4lite_awvalid
	wire          mm_interconnect_0_emif_ph2_ddr4a_s0_axil_rvalid;                           // emif_ph2_ddr4a:s0_axi4lite_rvalid -> mm_interconnect_0:emif_ph2_ddr4a_s0_axil_rvalid
	wire    [7:0] intel_niosv_g_data_manager_arlen;                                          // intel_niosv_g:data_manager_arlen -> mm_interconnect_1:intel_niosv_g_data_manager_arlen
	wire    [3:0] intel_niosv_g_data_manager_wstrb;                                          // intel_niosv_g:data_manager_wstrb -> mm_interconnect_1:intel_niosv_g_data_manager_wstrb
	wire          intel_niosv_g_data_manager_wready;                                         // mm_interconnect_1:intel_niosv_g_data_manager_wready -> intel_niosv_g:data_manager_wready
	wire          intel_niosv_g_data_manager_rready;                                         // intel_niosv_g:data_manager_rready -> mm_interconnect_1:intel_niosv_g_data_manager_rready
	wire    [7:0] intel_niosv_g_data_manager_awlen;                                          // intel_niosv_g:data_manager_awlen -> mm_interconnect_1:intel_niosv_g_data_manager_awlen
	wire          intel_niosv_g_data_manager_wvalid;                                         // intel_niosv_g:data_manager_wvalid -> mm_interconnect_1:intel_niosv_g_data_manager_wvalid
	wire   [31:0] intel_niosv_g_data_manager_araddr;                                         // intel_niosv_g:data_manager_araddr -> mm_interconnect_1:intel_niosv_g_data_manager_araddr
	wire    [2:0] intel_niosv_g_data_manager_arprot;                                         // intel_niosv_g:data_manager_arprot -> mm_interconnect_1:intel_niosv_g_data_manager_arprot
	wire    [2:0] intel_niosv_g_data_manager_awprot;                                         // intel_niosv_g:data_manager_awprot -> mm_interconnect_1:intel_niosv_g_data_manager_awprot
	wire   [31:0] intel_niosv_g_data_manager_wdata;                                          // intel_niosv_g:data_manager_wdata -> mm_interconnect_1:intel_niosv_g_data_manager_wdata
	wire          intel_niosv_g_data_manager_arvalid;                                        // intel_niosv_g:data_manager_arvalid -> mm_interconnect_1:intel_niosv_g_data_manager_arvalid
	wire   [31:0] intel_niosv_g_data_manager_awaddr;                                         // intel_niosv_g:data_manager_awaddr -> mm_interconnect_1:intel_niosv_g_data_manager_awaddr
	wire    [1:0] intel_niosv_g_data_manager_bresp;                                          // mm_interconnect_1:intel_niosv_g_data_manager_bresp -> intel_niosv_g:data_manager_bresp
	wire          intel_niosv_g_data_manager_arready;                                        // mm_interconnect_1:intel_niosv_g_data_manager_arready -> intel_niosv_g:data_manager_arready
	wire   [31:0] intel_niosv_g_data_manager_rdata;                                          // mm_interconnect_1:intel_niosv_g_data_manager_rdata -> intel_niosv_g:data_manager_rdata
	wire          intel_niosv_g_data_manager_awready;                                        // mm_interconnect_1:intel_niosv_g_data_manager_awready -> intel_niosv_g:data_manager_awready
	wire    [2:0] intel_niosv_g_data_manager_arsize;                                         // intel_niosv_g:data_manager_arsize -> mm_interconnect_1:intel_niosv_g_data_manager_arsize
	wire          intel_niosv_g_data_manager_bready;                                         // intel_niosv_g:data_manager_bready -> mm_interconnect_1:intel_niosv_g_data_manager_bready
	wire          intel_niosv_g_data_manager_rlast;                                          // mm_interconnect_1:intel_niosv_g_data_manager_rlast -> intel_niosv_g:data_manager_rlast
	wire          intel_niosv_g_data_manager_wlast;                                          // intel_niosv_g:data_manager_wlast -> mm_interconnect_1:intel_niosv_g_data_manager_wlast
	wire    [1:0] intel_niosv_g_data_manager_rresp;                                          // mm_interconnect_1:intel_niosv_g_data_manager_rresp -> intel_niosv_g:data_manager_rresp
	wire          intel_niosv_g_data_manager_bvalid;                                         // mm_interconnect_1:intel_niosv_g_data_manager_bvalid -> intel_niosv_g:data_manager_bvalid
	wire    [2:0] intel_niosv_g_data_manager_awsize;                                         // intel_niosv_g:data_manager_awsize -> mm_interconnect_1:intel_niosv_g_data_manager_awsize
	wire          intel_niosv_g_data_manager_awvalid;                                        // intel_niosv_g:data_manager_awvalid -> mm_interconnect_1:intel_niosv_g_data_manager_awvalid
	wire          intel_niosv_g_data_manager_rvalid;                                         // mm_interconnect_1:intel_niosv_g_data_manager_rvalid -> intel_niosv_g:data_manager_rvalid
	wire    [1:0] intel_niosv_g_instruction_manager_awburst;                                 // intel_niosv_g:instruction_manager_awburst -> mm_interconnect_1:intel_niosv_g_instruction_manager_awburst
	wire    [7:0] intel_niosv_g_instruction_manager_arlen;                                   // intel_niosv_g:instruction_manager_arlen -> mm_interconnect_1:intel_niosv_g_instruction_manager_arlen
	wire    [3:0] intel_niosv_g_instruction_manager_wstrb;                                   // intel_niosv_g:instruction_manager_wstrb -> mm_interconnect_1:intel_niosv_g_instruction_manager_wstrb
	wire          intel_niosv_g_instruction_manager_wready;                                  // mm_interconnect_1:intel_niosv_g_instruction_manager_wready -> intel_niosv_g:instruction_manager_wready
	wire          intel_niosv_g_instruction_manager_rready;                                  // intel_niosv_g:instruction_manager_rready -> mm_interconnect_1:intel_niosv_g_instruction_manager_rready
	wire    [7:0] intel_niosv_g_instruction_manager_awlen;                                   // intel_niosv_g:instruction_manager_awlen -> mm_interconnect_1:intel_niosv_g_instruction_manager_awlen
	wire          intel_niosv_g_instruction_manager_wvalid;                                  // intel_niosv_g:instruction_manager_wvalid -> mm_interconnect_1:intel_niosv_g_instruction_manager_wvalid
	wire   [31:0] intel_niosv_g_instruction_manager_araddr;                                  // intel_niosv_g:instruction_manager_araddr -> mm_interconnect_1:intel_niosv_g_instruction_manager_araddr
	wire    [2:0] intel_niosv_g_instruction_manager_arprot;                                  // intel_niosv_g:instruction_manager_arprot -> mm_interconnect_1:intel_niosv_g_instruction_manager_arprot
	wire    [2:0] intel_niosv_g_instruction_manager_awprot;                                  // intel_niosv_g:instruction_manager_awprot -> mm_interconnect_1:intel_niosv_g_instruction_manager_awprot
	wire   [31:0] intel_niosv_g_instruction_manager_wdata;                                   // intel_niosv_g:instruction_manager_wdata -> mm_interconnect_1:intel_niosv_g_instruction_manager_wdata
	wire          intel_niosv_g_instruction_manager_arvalid;                                 // intel_niosv_g:instruction_manager_arvalid -> mm_interconnect_1:intel_niosv_g_instruction_manager_arvalid
	wire   [31:0] intel_niosv_g_instruction_manager_awaddr;                                  // intel_niosv_g:instruction_manager_awaddr -> mm_interconnect_1:intel_niosv_g_instruction_manager_awaddr
	wire    [1:0] intel_niosv_g_instruction_manager_bresp;                                   // mm_interconnect_1:intel_niosv_g_instruction_manager_bresp -> intel_niosv_g:instruction_manager_bresp
	wire          intel_niosv_g_instruction_manager_arready;                                 // mm_interconnect_1:intel_niosv_g_instruction_manager_arready -> intel_niosv_g:instruction_manager_arready
	wire   [31:0] intel_niosv_g_instruction_manager_rdata;                                   // mm_interconnect_1:intel_niosv_g_instruction_manager_rdata -> intel_niosv_g:instruction_manager_rdata
	wire          intel_niosv_g_instruction_manager_awready;                                 // mm_interconnect_1:intel_niosv_g_instruction_manager_awready -> intel_niosv_g:instruction_manager_awready
	wire    [1:0] intel_niosv_g_instruction_manager_arburst;                                 // intel_niosv_g:instruction_manager_arburst -> mm_interconnect_1:intel_niosv_g_instruction_manager_arburst
	wire    [2:0] intel_niosv_g_instruction_manager_arsize;                                  // intel_niosv_g:instruction_manager_arsize -> mm_interconnect_1:intel_niosv_g_instruction_manager_arsize
	wire          intel_niosv_g_instruction_manager_bready;                                  // intel_niosv_g:instruction_manager_bready -> mm_interconnect_1:intel_niosv_g_instruction_manager_bready
	wire          intel_niosv_g_instruction_manager_rlast;                                   // mm_interconnect_1:intel_niosv_g_instruction_manager_rlast -> intel_niosv_g:instruction_manager_rlast
	wire          intel_niosv_g_instruction_manager_wlast;                                   // intel_niosv_g:instruction_manager_wlast -> mm_interconnect_1:intel_niosv_g_instruction_manager_wlast
	wire    [1:0] intel_niosv_g_instruction_manager_rresp;                                   // mm_interconnect_1:intel_niosv_g_instruction_manager_rresp -> intel_niosv_g:instruction_manager_rresp
	wire          intel_niosv_g_instruction_manager_bvalid;                                  // mm_interconnect_1:intel_niosv_g_instruction_manager_bvalid -> intel_niosv_g:instruction_manager_bvalid
	wire    [2:0] intel_niosv_g_instruction_manager_awsize;                                  // intel_niosv_g:instruction_manager_awsize -> mm_interconnect_1:intel_niosv_g_instruction_manager_awsize
	wire          intel_niosv_g_instruction_manager_awvalid;                                 // intel_niosv_g:instruction_manager_awvalid -> mm_interconnect_1:intel_niosv_g_instruction_manager_awvalid
	wire          intel_niosv_g_instruction_manager_rvalid;                                  // mm_interconnect_1:intel_niosv_g_instruction_manager_rvalid -> intel_niosv_g:instruction_manager_rvalid
	wire          mm_interconnect_1_jtag_uart_avalon_jtag_slave_chipselect;                  // mm_interconnect_1:jtag_uart_avalon_jtag_slave_chipselect -> jtag_uart:av_chipselect
	wire   [31:0] mm_interconnect_1_jtag_uart_avalon_jtag_slave_readdata;                    // jtag_uart:av_readdata -> mm_interconnect_1:jtag_uart_avalon_jtag_slave_readdata
	wire          mm_interconnect_1_jtag_uart_avalon_jtag_slave_waitrequest;                 // jtag_uart:av_waitrequest -> mm_interconnect_1:jtag_uart_avalon_jtag_slave_waitrequest
	wire    [0:0] mm_interconnect_1_jtag_uart_avalon_jtag_slave_address;                     // mm_interconnect_1:jtag_uart_avalon_jtag_slave_address -> jtag_uart:av_address
	wire          mm_interconnect_1_jtag_uart_avalon_jtag_slave_read;                        // mm_interconnect_1:jtag_uart_avalon_jtag_slave_read -> jtag_uart:av_read_n
	wire          mm_interconnect_1_jtag_uart_avalon_jtag_slave_write;                       // mm_interconnect_1:jtag_uart_avalon_jtag_slave_write -> jtag_uart:av_write_n
	wire   [31:0] mm_interconnect_1_jtag_uart_avalon_jtag_slave_writedata;                   // mm_interconnect_1:jtag_uart_avalon_jtag_slave_writedata -> jtag_uart:av_writedata
	wire   [63:0] mm_interconnect_1_address_span_extender_ddr4_cntl_readdata;                // address_span_extender_ddr4:avs_cntl_readdata -> mm_interconnect_1:address_span_extender_ddr4_cntl_readdata
	wire          mm_interconnect_1_address_span_extender_ddr4_cntl_read;                    // mm_interconnect_1:address_span_extender_ddr4_cntl_read -> address_span_extender_ddr4:avs_cntl_read
	wire    [7:0] mm_interconnect_1_address_span_extender_ddr4_cntl_byteenable;              // mm_interconnect_1:address_span_extender_ddr4_cntl_byteenable -> address_span_extender_ddr4:avs_cntl_byteenable
	wire          mm_interconnect_1_address_span_extender_ddr4_cntl_write;                   // mm_interconnect_1:address_span_extender_ddr4_cntl_write -> address_span_extender_ddr4:avs_cntl_write
	wire   [63:0] mm_interconnect_1_address_span_extender_ddr4_cntl_writedata;               // mm_interconnect_1:address_span_extender_ddr4_cntl_writedata -> address_span_extender_ddr4:avs_cntl_writedata
	wire   [31:0] mm_interconnect_1_sysid_qsys_control_slave_readdata;                       // sysid_qsys:readdata -> mm_interconnect_1:sysid_qsys_control_slave_readdata
	wire    [0:0] mm_interconnect_1_sysid_qsys_control_slave_address;                        // mm_interconnect_1:sysid_qsys_control_slave_address -> sysid_qsys:address
	wire   [31:0] mm_interconnect_1_intel_niosv_g_dm_agent_readdata;                         // intel_niosv_g:dm_agent_readdata -> mm_interconnect_1:intel_niosv_g_dm_agent_readdata
	wire          mm_interconnect_1_intel_niosv_g_dm_agent_waitrequest;                      // intel_niosv_g:dm_agent_waitrequest -> mm_interconnect_1:intel_niosv_g_dm_agent_waitrequest
	wire   [15:0] mm_interconnect_1_intel_niosv_g_dm_agent_address;                          // mm_interconnect_1:intel_niosv_g_dm_agent_address -> intel_niosv_g:dm_agent_address
	wire          mm_interconnect_1_intel_niosv_g_dm_agent_read;                             // mm_interconnect_1:intel_niosv_g_dm_agent_read -> intel_niosv_g:dm_agent_read
	wire          mm_interconnect_1_intel_niosv_g_dm_agent_readdatavalid;                    // intel_niosv_g:dm_agent_readdatavalid -> mm_interconnect_1:intel_niosv_g_dm_agent_readdatavalid
	wire          mm_interconnect_1_intel_niosv_g_dm_agent_write;                            // mm_interconnect_1:intel_niosv_g_dm_agent_write -> intel_niosv_g:dm_agent_write
	wire   [31:0] mm_interconnect_1_intel_niosv_g_dm_agent_writedata;                        // mm_interconnect_1:intel_niosv_g_dm_agent_writedata -> intel_niosv_g:dm_agent_writedata
	wire          mm_interconnect_1_timer_s1_chipselect;                                     // mm_interconnect_1:timer_s1_chipselect -> timer:chipselect
	wire   [15:0] mm_interconnect_1_timer_s1_readdata;                                       // timer:readdata -> mm_interconnect_1:timer_s1_readdata
	wire    [2:0] mm_interconnect_1_timer_s1_address;                                        // mm_interconnect_1:timer_s1_address -> timer:address
	wire          mm_interconnect_1_timer_s1_write;                                          // mm_interconnect_1:timer_s1_write -> timer:write_n
	wire   [15:0] mm_interconnect_1_timer_s1_writedata;                                      // mm_interconnect_1:timer_s1_writedata -> timer:writedata
	wire   [31:0] mm_interconnect_1_intel_onchip_memory_s1_readdata;                         // intel_onchip_memory:readdata -> mm_interconnect_1:intel_onchip_memory_s1_readdata
	wire   [16:0] mm_interconnect_1_intel_onchip_memory_s1_address;                          // mm_interconnect_1:intel_onchip_memory_s1_address -> intel_onchip_memory:address
	wire          mm_interconnect_1_intel_onchip_memory_s1_read;                             // mm_interconnect_1:intel_onchip_memory_s1_read -> intel_onchip_memory:read
	wire    [3:0] mm_interconnect_1_intel_onchip_memory_s1_byteenable;                       // mm_interconnect_1:intel_onchip_memory_s1_byteenable -> intel_onchip_memory:byteenable
	wire          mm_interconnect_1_intel_onchip_memory_s1_write;                            // mm_interconnect_1:intel_onchip_memory_s1_write -> intel_onchip_memory:write
	wire   [31:0] mm_interconnect_1_intel_onchip_memory_s1_writedata;                        // mm_interconnect_1:intel_onchip_memory_s1_writedata -> intel_onchip_memory:writedata
	wire   [31:0] mm_interconnect_1_pio_ddr4_cal_done_s1_readdata;                           // pio_ddr4_cal_done:readdata -> mm_interconnect_1:pio_ddr4_cal_done_s1_readdata
	wire    [1:0] mm_interconnect_1_pio_ddr4_cal_done_s1_address;                            // mm_interconnect_1:pio_ddr4_cal_done_s1_address -> pio_ddr4_cal_done:address
	wire   [31:0] mm_interconnect_1_intel_niosv_g_timer_sw_agent_readdata;                   // intel_niosv_g:timer_sw_agent_readdata -> mm_interconnect_1:intel_niosv_g_timer_sw_agent_readdata
	wire          mm_interconnect_1_intel_niosv_g_timer_sw_agent_waitrequest;                // intel_niosv_g:timer_sw_agent_waitrequest -> mm_interconnect_1:intel_niosv_g_timer_sw_agent_waitrequest
	wire    [5:0] mm_interconnect_1_intel_niosv_g_timer_sw_agent_address;                    // mm_interconnect_1:intel_niosv_g_timer_sw_agent_address -> intel_niosv_g:timer_sw_agent_address
	wire          mm_interconnect_1_intel_niosv_g_timer_sw_agent_read;                       // mm_interconnect_1:intel_niosv_g_timer_sw_agent_read -> intel_niosv_g:timer_sw_agent_read
	wire    [3:0] mm_interconnect_1_intel_niosv_g_timer_sw_agent_byteenable;                 // mm_interconnect_1:intel_niosv_g_timer_sw_agent_byteenable -> intel_niosv_g:timer_sw_agent_byteenable
	wire          mm_interconnect_1_intel_niosv_g_timer_sw_agent_readdatavalid;              // intel_niosv_g:timer_sw_agent_readdatavalid -> mm_interconnect_1:intel_niosv_g_timer_sw_agent_readdatavalid
	wire          mm_interconnect_1_intel_niosv_g_timer_sw_agent_write;                      // mm_interconnect_1:intel_niosv_g_timer_sw_agent_write -> intel_niosv_g:timer_sw_agent_write
	wire   [31:0] mm_interconnect_1_intel_niosv_g_timer_sw_agent_writedata;                  // mm_interconnect_1:intel_niosv_g_timer_sw_agent_writedata -> intel_niosv_g:timer_sw_agent_writedata
	wire   [31:0] mm_interconnect_1_address_span_extender_ddr4_windowed_slave_readdata;      // address_span_extender_ddr4:avs_s0_readdata -> mm_interconnect_1:address_span_extender_ddr4_windowed_slave_readdata
	wire          mm_interconnect_1_address_span_extender_ddr4_windowed_slave_waitrequest;   // address_span_extender_ddr4:avs_s0_waitrequest -> mm_interconnect_1:address_span_extender_ddr4_windowed_slave_waitrequest
	wire   [26:0] mm_interconnect_1_address_span_extender_ddr4_windowed_slave_address;       // mm_interconnect_1:address_span_extender_ddr4_windowed_slave_address -> address_span_extender_ddr4:avs_s0_address
	wire          mm_interconnect_1_address_span_extender_ddr4_windowed_slave_read;          // mm_interconnect_1:address_span_extender_ddr4_windowed_slave_read -> address_span_extender_ddr4:avs_s0_read
	wire    [3:0] mm_interconnect_1_address_span_extender_ddr4_windowed_slave_byteenable;    // mm_interconnect_1:address_span_extender_ddr4_windowed_slave_byteenable -> address_span_extender_ddr4:avs_s0_byteenable
	wire          mm_interconnect_1_address_span_extender_ddr4_windowed_slave_readdatavalid; // address_span_extender_ddr4:avs_s0_readdatavalid -> mm_interconnect_1:address_span_extender_ddr4_windowed_slave_readdatavalid
	wire          mm_interconnect_1_address_span_extender_ddr4_windowed_slave_write;         // mm_interconnect_1:address_span_extender_ddr4_windowed_slave_write -> address_span_extender_ddr4:avs_s0_write
	wire   [31:0] mm_interconnect_1_address_span_extender_ddr4_windowed_slave_writedata;     // mm_interconnect_1:address_span_extender_ddr4_windowed_slave_writedata -> address_span_extender_ddr4:avs_s0_writedata
	wire    [0:0] mm_interconnect_1_address_span_extender_ddr4_windowed_slave_burstcount;    // mm_interconnect_1:address_span_extender_ddr4_windowed_slave_burstcount -> address_span_extender_ddr4:avs_s0_burstcount
	wire          address_span_extender_ddr4_expanded_master_waitrequest;                    // mm_interconnect_2:address_span_extender_ddr4_expanded_master_waitrequest -> address_span_extender_ddr4:avm_m0_waitrequest
	wire   [31:0] address_span_extender_ddr4_expanded_master_readdata;                       // mm_interconnect_2:address_span_extender_ddr4_expanded_master_readdata -> address_span_extender_ddr4:avm_m0_readdata
	wire   [31:0] address_span_extender_ddr4_expanded_master_address;                        // address_span_extender_ddr4:avm_m0_address -> mm_interconnect_2:address_span_extender_ddr4_expanded_master_address
	wire          address_span_extender_ddr4_expanded_master_read;                           // address_span_extender_ddr4:avm_m0_read -> mm_interconnect_2:address_span_extender_ddr4_expanded_master_read
	wire    [3:0] address_span_extender_ddr4_expanded_master_byteenable;                     // address_span_extender_ddr4:avm_m0_byteenable -> mm_interconnect_2:address_span_extender_ddr4_expanded_master_byteenable
	wire          address_span_extender_ddr4_expanded_master_readdatavalid;                  // mm_interconnect_2:address_span_extender_ddr4_expanded_master_readdatavalid -> address_span_extender_ddr4:avm_m0_readdatavalid
	wire          address_span_extender_ddr4_expanded_master_write;                          // address_span_extender_ddr4:avm_m0_write -> mm_interconnect_2:address_span_extender_ddr4_expanded_master_write
	wire   [31:0] address_span_extender_ddr4_expanded_master_writedata;                      // address_span_extender_ddr4:avm_m0_writedata -> mm_interconnect_2:address_span_extender_ddr4_expanded_master_writedata
	wire    [0:0] address_span_extender_ddr4_expanded_master_burstcount;                     // address_span_extender_ddr4:avm_m0_burstcount -> mm_interconnect_2:address_span_extender_ddr4_expanded_master_burstcount
	wire   [63:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_ruser;                            // emif_ph2_ddr4a:s0_axi4_ruser -> mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_ruser
	wire   [63:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_wuser;                            // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_wuser -> emif_ph2_ddr4a:s0_axi4_wuser
	wire    [1:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awburst;                          // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_awburst -> emif_ph2_ddr4a:s0_axi4_awburst
	wire    [3:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awuser;                           // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_awuser -> emif_ph2_ddr4a:s0_axi4_awuser
	wire    [7:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arlen;                            // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_arlen -> emif_ph2_ddr4a:s0_axi4_arlen
	wire    [3:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arqos;                            // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_arqos -> emif_ph2_ddr4a:s0_axi4_arqos
	wire   [31:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_wstrb;                            // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_wstrb -> emif_ph2_ddr4a:s0_axi4_wstrb
	wire          mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_wready;                           // emif_ph2_ddr4a:s0_axi4_wready -> mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_wready
	wire    [6:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_rid;                              // emif_ph2_ddr4a:s0_axi4_rid -> mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_rid
	wire          mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_rready;                           // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_rready -> emif_ph2_ddr4a:s0_axi4_rready
	wire    [7:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awlen;                            // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_awlen -> emif_ph2_ddr4a:s0_axi4_awlen
	wire    [3:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awqos;                            // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_awqos -> emif_ph2_ddr4a:s0_axi4_awqos
	wire          mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_wvalid;                           // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_wvalid -> emif_ph2_ddr4a:s0_axi4_wvalid
	wire   [31:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_araddr;                           // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_araddr -> emif_ph2_ddr4a:s0_axi4_araddr
	wire    [2:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arprot;                           // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_arprot -> emif_ph2_ddr4a:s0_axi4_arprot
	wire    [2:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awprot;                           // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_awprot -> emif_ph2_ddr4a:s0_axi4_awprot
	wire  [255:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_wdata;                            // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_wdata -> emif_ph2_ddr4a:s0_axi4_wdata
	wire          mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arvalid;                          // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_arvalid -> emif_ph2_ddr4a:s0_axi4_arvalid
	wire    [6:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arid;                             // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_arid -> emif_ph2_ddr4a:s0_axi4_arid
	wire    [0:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arlock;                           // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_arlock -> emif_ph2_ddr4a:s0_axi4_arlock
	wire    [0:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awlock;                           // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_awlock -> emif_ph2_ddr4a:s0_axi4_awlock
	wire   [31:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awaddr;                           // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_awaddr -> emif_ph2_ddr4a:s0_axi4_awaddr
	wire    [1:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_bresp;                            // emif_ph2_ddr4a:s0_axi4_bresp -> mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_bresp
	wire          mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arready;                          // emif_ph2_ddr4a:s0_axi4_arready -> mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_arready
	wire  [255:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_rdata;                            // emif_ph2_ddr4a:s0_axi4_rdata -> mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_rdata
	wire          mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awready;                          // emif_ph2_ddr4a:s0_axi4_awready -> mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_awready
	wire    [1:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arburst;                          // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_arburst -> emif_ph2_ddr4a:s0_axi4_arburst
	wire    [2:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arsize;                           // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_arsize -> emif_ph2_ddr4a:s0_axi4_arsize
	wire          mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_bready;                           // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_bready -> emif_ph2_ddr4a:s0_axi4_bready
	wire          mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_rlast;                            // emif_ph2_ddr4a:s0_axi4_rlast -> mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_rlast
	wire          mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_wlast;                            // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_wlast -> emif_ph2_ddr4a:s0_axi4_wlast
	wire    [1:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_rresp;                            // emif_ph2_ddr4a:s0_axi4_rresp -> mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_rresp
	wire    [6:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awid;                             // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_awid -> emif_ph2_ddr4a:s0_axi4_awid
	wire    [6:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_bid;                              // emif_ph2_ddr4a:s0_axi4_bid -> mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_bid
	wire          mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_bvalid;                           // emif_ph2_ddr4a:s0_axi4_bvalid -> mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_bvalid
	wire    [2:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awsize;                           // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_awsize -> emif_ph2_ddr4a:s0_axi4_awsize
	wire          mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awvalid;                          // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_awvalid -> emif_ph2_ddr4a:s0_axi4_awvalid
	wire    [3:0] mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_aruser;                           // mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_aruser -> emif_ph2_ddr4a:s0_axi4_aruser
	wire          mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_rvalid;                           // emif_ph2_ddr4a:s0_axi4_rvalid -> mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_rvalid
	wire          irq_mapper_receiver0_irq;                                                  // timer:irq -> irq_mapper:receiver0_irq
	wire          irq_mapper_receiver1_irq;                                                  // jtag_uart:av_irq -> irq_mapper:receiver1_irq
	wire   [15:0] intel_niosv_g_platform_irq_rx_irq;                                         // irq_mapper:sender_irq -> intel_niosv_g:platform_irq_rx_irq
	wire          rst_controller_reset_out_reset;                                            // rst_controller:reset_out -> [address_span_extender_ddr4:reset, intel_niosv_g:reset_reset, intel_onchip_memory:reset, irq_mapper:reset, jtag_uart:rst_n, pio_ddr4_cal_done:reset_n, rst_translator:in_reset, sysid_qsys:reset_n, timer:reset_n]
	wire          rst_controller_reset_out_reset_req;                                        // rst_controller:reset_req -> [intel_onchip_memory:reset_req, rst_translator:reset_req_in]
	wire          rst_controller_001_reset_out_reset;                                        // rst_controller_001:reset_out -> [emif_ph2_axil_driver:axil_driver_rst_n, emif_ph2_ddr4a:s0_axi4lite_rst_n]
	wire          mem_reset_handler_reset_n_out_reset;                                       // mem_reset_handler:reset_out_n -> [rst_controller_001:reset_in1, rst_controller_002:reset_in1, rst_controller_003:reset_in1]
	wire          rst_controller_002_reset_out_reset;                                        // rst_controller_002:reset_out -> emif_ph2_ddr4a:core_init_n_0
	wire          rst_controller_003_reset_out_reset;                                        // rst_controller_003:reset_out -> mm_interconnect_0:emif_ph2_axil_driver_axil_driver_axi4_lite_id_pad_clk_reset_reset_bridge_in_reset_reset
	wire          rst_controller_004_reset_out_reset;                                        // rst_controller_004:reset_out -> [mm_interconnect_1:intel_niosv_g_data_manager_translator_clk_reset_reset_bridge_in_reset_reset, mm_interconnect_1:intel_niosv_g_reset_reset_bridge_in_reset_reset, mm_interconnect_2:address_span_extender_ddr4_expanded_master_translator_reset_reset_bridge_in_reset_reset]
	wire          rst_controller_005_reset_out_reset;                                        // rst_controller_005:reset_out -> mm_interconnect_2:emif_ph2_ddr4a_s0_axi4_translator_clk_reset_reset_bridge_in_reset_reset
	wire          emif_ph2_ddr4a_usr_rst_n_0_reset;                                          // emif_ph2_ddr4a:usr_rst_n_0 -> rst_controller_005:reset_in0

	system_address_span_extender_0 address_span_extender_ddr4 (
		.clk                  (iopll_sys_outclk0_clk),                                                     //   input,   width = 1,           clock.clk
		.reset                (rst_controller_reset_out_reset),                                            //   input,   width = 1,           reset.reset
		.avs_s0_address       (mm_interconnect_1_address_span_extender_ddr4_windowed_slave_address),       //   input,  width = 27,  windowed_slave.address
		.avs_s0_read          (mm_interconnect_1_address_span_extender_ddr4_windowed_slave_read),          //   input,   width = 1,                .read
		.avs_s0_readdata      (mm_interconnect_1_address_span_extender_ddr4_windowed_slave_readdata),      //  output,  width = 32,                .readdata
		.avs_s0_write         (mm_interconnect_1_address_span_extender_ddr4_windowed_slave_write),         //   input,   width = 1,                .write
		.avs_s0_writedata     (mm_interconnect_1_address_span_extender_ddr4_windowed_slave_writedata),     //   input,  width = 32,                .writedata
		.avs_s0_readdatavalid (mm_interconnect_1_address_span_extender_ddr4_windowed_slave_readdatavalid), //  output,   width = 1,                .readdatavalid
		.avs_s0_waitrequest   (mm_interconnect_1_address_span_extender_ddr4_windowed_slave_waitrequest),   //  output,   width = 1,                .waitrequest
		.avs_s0_byteenable    (mm_interconnect_1_address_span_extender_ddr4_windowed_slave_byteenable),    //   input,   width = 4,                .byteenable
		.avs_s0_burstcount    (mm_interconnect_1_address_span_extender_ddr4_windowed_slave_burstcount),    //   input,   width = 1,                .burstcount
		.avm_m0_address       (address_span_extender_ddr4_expanded_master_address),                        //  output,  width = 32, expanded_master.address
		.avm_m0_read          (address_span_extender_ddr4_expanded_master_read),                           //  output,   width = 1,                .read
		.avm_m0_waitrequest   (address_span_extender_ddr4_expanded_master_waitrequest),                    //   input,   width = 1,                .waitrequest
		.avm_m0_readdata      (address_span_extender_ddr4_expanded_master_readdata),                       //   input,  width = 32,                .readdata
		.avm_m0_write         (address_span_extender_ddr4_expanded_master_write),                          //  output,   width = 1,                .write
		.avm_m0_writedata     (address_span_extender_ddr4_expanded_master_writedata),                      //  output,  width = 32,                .writedata
		.avm_m0_readdatavalid (address_span_extender_ddr4_expanded_master_readdatavalid),                  //   input,   width = 1,                .readdatavalid
		.avm_m0_byteenable    (address_span_extender_ddr4_expanded_master_byteenable),                     //  output,   width = 4,                .byteenable
		.avm_m0_burstcount    (address_span_extender_ddr4_expanded_master_burstcount),                     //  output,   width = 1,                .burstcount
		.avs_cntl_read        (mm_interconnect_1_address_span_extender_ddr4_cntl_read),                    //   input,   width = 1,            cntl.read
		.avs_cntl_readdata    (mm_interconnect_1_address_span_extender_ddr4_cntl_readdata),                //  output,  width = 64,                .readdata
		.avs_cntl_write       (mm_interconnect_1_address_span_extender_ddr4_cntl_write),                   //   input,   width = 1,                .write
		.avs_cntl_writedata   (mm_interconnect_1_address_span_extender_ddr4_cntl_writedata),               //   input,  width = 64,                .writedata
		.avs_cntl_byteenable  (mm_interconnect_1_address_span_extender_ddr4_cntl_byteenable)               //   input,   width = 8,                .byteenable
	);

	clock_in clock_in (
		.in_clk  (clock_in_clk),         //   input,  width = 1,  in_clk.clk
		.out_clk (clock_in_out_clk_clk)  //  output,  width = 1, out_clk.clk
	);

	ed_synth_axil_driver_0 emif_ph2_axil_driver (
		.axil_driver_clk     (iopll_sys_outclk0_clk),                              //   input,   width = 1,       axil_driver_clk.clk
		.axil_driver_rst_n   (~rst_controller_001_reset_out_reset),                //   input,   width = 1,     axil_driver_rst_n.reset_n
		.axil_driver_awaddr  (emif_ph2_axil_driver_axil_driver_axi4_lite_awaddr),  //  output,  width = 32, axil_driver_axi4_lite.awaddr
		.axil_driver_awvalid (emif_ph2_axil_driver_axil_driver_axi4_lite_awvalid), //  output,   width = 1,                      .awvalid
		.axil_driver_awready (emif_ph2_axil_driver_axil_driver_axi4_lite_awready), //   input,   width = 1,                      .awready
		.axil_driver_wdata   (emif_ph2_axil_driver_axil_driver_axi4_lite_wdata),   //  output,  width = 32,                      .wdata
		.axil_driver_wstrb   (emif_ph2_axil_driver_axil_driver_axi4_lite_wstrb),   //  output,   width = 4,                      .wstrb
		.axil_driver_wvalid  (emif_ph2_axil_driver_axil_driver_axi4_lite_wvalid),  //  output,   width = 1,                      .wvalid
		.axil_driver_wready  (emif_ph2_axil_driver_axil_driver_axi4_lite_wready),  //   input,   width = 1,                      .wready
		.axil_driver_bresp   (emif_ph2_axil_driver_axil_driver_axi4_lite_bresp),   //   input,   width = 2,                      .bresp
		.axil_driver_bvalid  (emif_ph2_axil_driver_axil_driver_axi4_lite_bvalid),  //   input,   width = 1,                      .bvalid
		.axil_driver_bready  (emif_ph2_axil_driver_axil_driver_axi4_lite_bready),  //  output,   width = 1,                      .bready
		.axil_driver_araddr  (emif_ph2_axil_driver_axil_driver_axi4_lite_araddr),  //  output,  width = 32,                      .araddr
		.axil_driver_arvalid (emif_ph2_axil_driver_axil_driver_axi4_lite_arvalid), //  output,   width = 1,                      .arvalid
		.axil_driver_arready (emif_ph2_axil_driver_axil_driver_axi4_lite_arready), //   input,   width = 1,                      .arready
		.axil_driver_rdata   (emif_ph2_axil_driver_axil_driver_axi4_lite_rdata),   //   input,  width = 32,                      .rdata
		.axil_driver_rresp   (emif_ph2_axil_driver_axil_driver_axi4_lite_rresp),   //   input,   width = 2,                      .rresp
		.axil_driver_rvalid  (emif_ph2_axil_driver_axil_driver_axi4_lite_rvalid),  //   input,   width = 1,                      .rvalid
		.axil_driver_rready  (emif_ph2_axil_driver_axil_driver_axi4_lite_rready),  //  output,   width = 1,                      .rready
		.axil_driver_awprot  (emif_ph2_axil_driver_axil_driver_axi4_lite_awprot),  //  output,   width = 3,                      .awprot
		.axil_driver_arprot  (emif_ph2_axil_driver_axil_driver_axi4_lite_arprot),  //  output,   width = 3,                      .arprot
		.cal_done_rst_n      (emif_ph2_axil_driver_cal_done_rst_n_reset_n)         //  output,   width = 1,        cal_done_rst_n.reset_n
	);

	system_emif_ph2_0 emif_ph2_ddr4a (
		.ref_clk_0           (emif_ph2_ddr4a_ref_clk_0_clk),                     //   input,    width = 1,       ref_clk_0.clk
		.core_init_n_0       (~rst_controller_002_reset_out_reset),              //   input,    width = 1,   core_init_n_0.reset_n
		.usr_async_clk_0     (iopll_sys_outclk0_clk),                            //   input,    width = 1, usr_async_clk_0.clk
		.usr_rst_n_0         (emif_ph2_ddr4a_usr_rst_n_0_reset),                 //  output,    width = 1,     usr_rst_n_0.reset_n
		.s0_axi4_araddr      (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_araddr),  //   input,   width = 32,         s0_axi4.araddr
		.s0_axi4_arburst     (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arburst), //   input,    width = 2,                .arburst
		.s0_axi4_arid        (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arid),    //   input,    width = 7,                .arid
		.s0_axi4_arlen       (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arlen),   //   input,    width = 8,                .arlen
		.s0_axi4_arlock      (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arlock),  //   input,    width = 1,                .arlock
		.s0_axi4_arqos       (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arqos),   //   input,    width = 4,                .arqos
		.s0_axi4_arsize      (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arsize),  //   input,    width = 3,                .arsize
		.s0_axi4_arvalid     (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arvalid), //   input,    width = 1,                .arvalid
		.s0_axi4_aruser      (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_aruser),  //   input,    width = 4,                .aruser
		.s0_axi4_arprot      (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arprot),  //   input,    width = 3,                .arprot
		.s0_axi4_awaddr      (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awaddr),  //   input,   width = 32,                .awaddr
		.s0_axi4_awburst     (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awburst), //   input,    width = 2,                .awburst
		.s0_axi4_awid        (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awid),    //   input,    width = 7,                .awid
		.s0_axi4_awlen       (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awlen),   //   input,    width = 8,                .awlen
		.s0_axi4_awlock      (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awlock),  //   input,    width = 1,                .awlock
		.s0_axi4_awqos       (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awqos),   //   input,    width = 4,                .awqos
		.s0_axi4_awsize      (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awsize),  //   input,    width = 3,                .awsize
		.s0_axi4_awvalid     (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awvalid), //   input,    width = 1,                .awvalid
		.s0_axi4_awuser      (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awuser),  //   input,    width = 4,                .awuser
		.s0_axi4_awprot      (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awprot),  //   input,    width = 3,                .awprot
		.s0_axi4_bready      (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_bready),  //   input,    width = 1,                .bready
		.s0_axi4_rready      (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_rready),  //   input,    width = 1,                .rready
		.s0_axi4_wdata       (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_wdata),   //   input,  width = 256,                .wdata
		.s0_axi4_wstrb       (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_wstrb),   //   input,   width = 32,                .wstrb
		.s0_axi4_wlast       (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_wlast),   //   input,    width = 1,                .wlast
		.s0_axi4_wvalid      (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_wvalid),  //   input,    width = 1,                .wvalid
		.s0_axi4_wuser       (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_wuser),   //   input,   width = 64,                .wuser
		.s0_axi4_ruser       (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_ruser),   //  output,   width = 64,                .ruser
		.s0_axi4_arready     (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arready), //  output,    width = 1,                .arready
		.s0_axi4_awready     (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awready), //  output,    width = 1,                .awready
		.s0_axi4_bid         (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_bid),     //  output,    width = 7,                .bid
		.s0_axi4_bresp       (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_bresp),   //  output,    width = 2,                .bresp
		.s0_axi4_bvalid      (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_bvalid),  //  output,    width = 1,                .bvalid
		.s0_axi4_rdata       (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_rdata),   //  output,  width = 256,                .rdata
		.s0_axi4_rid         (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_rid),     //  output,    width = 7,                .rid
		.s0_axi4_rlast       (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_rlast),   //  output,    width = 1,                .rlast
		.s0_axi4_rresp       (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_rresp),   //  output,    width = 2,                .rresp
		.s0_axi4_rvalid      (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_rvalid),  //  output,    width = 1,                .rvalid
		.s0_axi4_wready      (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_wready),  //  output,    width = 1,                .wready
		.mem_ck_t_0          (emif_ph2_ddr4a_mem_0_mem_ck_t),                    //  output,    width = 1,           mem_0.mem_ck_t
		.mem_ck_c_0          (emif_ph2_ddr4a_mem_0_mem_ck_c),                    //  output,    width = 1,                .mem_ck_c
		.mem_cke_0           (emif_ph2_ddr4a_mem_0_mem_cke),                     //  output,    width = 1,                .mem_cke
		.mem_odt_0           (emif_ph2_ddr4a_mem_0_mem_odt),                     //  output,    width = 1,                .mem_odt
		.mem_cs_n_0          (emif_ph2_ddr4a_mem_0_mem_cs_n),                    //  output,    width = 1,                .mem_cs_n
		.mem_a_0             (emif_ph2_ddr4a_mem_0_mem_a),                       //  output,   width = 17,                .mem_a
		.mem_ba_0            (emif_ph2_ddr4a_mem_0_mem_ba),                      //  output,    width = 2,                .mem_ba
		.mem_bg_0            (emif_ph2_ddr4a_mem_0_mem_bg),                      //  output,    width = 1,                .mem_bg
		.mem_act_n_0         (emif_ph2_ddr4a_mem_0_mem_act_n),                   //  output,    width = 1,                .mem_act_n
		.mem_par_0           (emif_ph2_ddr4a_mem_0_mem_par),                     //  output,    width = 1,                .mem_par
		.mem_alert_n_0       (emif_ph2_ddr4a_mem_0_mem_alert_n),                 //   input,    width = 1,                .mem_alert_n
		.mem_reset_n_0       (emif_ph2_ddr4a_mem_0_mem_reset_n),                 //  output,    width = 1,                .mem_reset_n
		.mem_dq_0            (emif_ph2_ddr4a_mem_0_mem_dq),                      //   inout,   width = 32,                .mem_dq
		.mem_dqs_t_0         (emif_ph2_ddr4a_mem_0_mem_dqs_t),                   //   inout,    width = 4,                .mem_dqs_t
		.mem_dqs_c_0         (emif_ph2_ddr4a_mem_0_mem_dqs_c),                   //   inout,    width = 4,                .mem_dqs_c
		.mem_dbi_n_0         (emif_ph2_ddr4a_mem_0_mem_dbi_n),                   //   inout,    width = 4,                .mem_dbi_n
		.oct_rzqin_0         (emif_ph2_ddr4a_oct_0_oct_rzqin),                   //   input,    width = 1,           oct_0.oct_rzqin
		.s0_axi4lite_clk     (iopll_sys_outclk0_clk),                            //   input,    width = 1,     s0_axil_clk.clk
		.s0_axi4lite_rst_n   (~rst_controller_001_reset_out_reset),              //   input,    width = 1,   s0_axil_rst_n.reset_n
		.s0_axi4lite_awaddr  (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_awaddr),  //   input,   width = 27,         s0_axil.awaddr
		.s0_axi4lite_awvalid (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_awvalid), //   input,    width = 1,                .awvalid
		.s0_axi4lite_awready (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_awready), //  output,    width = 1,                .awready
		.s0_axi4lite_wdata   (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_wdata),   //   input,   width = 32,                .wdata
		.s0_axi4lite_wstrb   (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_wstrb),   //   input,    width = 4,                .wstrb
		.s0_axi4lite_wvalid  (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_wvalid),  //   input,    width = 1,                .wvalid
		.s0_axi4lite_wready  (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_wready),  //  output,    width = 1,                .wready
		.s0_axi4lite_bresp   (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_bresp),   //  output,    width = 2,                .bresp
		.s0_axi4lite_bvalid  (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_bvalid),  //  output,    width = 1,                .bvalid
		.s0_axi4lite_bready  (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_bready),  //   input,    width = 1,                .bready
		.s0_axi4lite_araddr  (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_araddr),  //   input,   width = 27,                .araddr
		.s0_axi4lite_arvalid (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_arvalid), //   input,    width = 1,                .arvalid
		.s0_axi4lite_arready (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_arready), //  output,    width = 1,                .arready
		.s0_axi4lite_rdata   (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_rdata),   //  output,   width = 32,                .rdata
		.s0_axi4lite_rresp   (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_rresp),   //  output,    width = 2,                .rresp
		.s0_axi4lite_rvalid  (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_rvalid),  //  output,    width = 1,                .rvalid
		.s0_axi4lite_rready  (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_rready),  //   input,    width = 1,                .rready
		.s0_axi4lite_awprot  (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_awprot),  //   input,    width = 3,                .awprot
		.s0_axi4lite_arprot  (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_arprot)   //   input,    width = 3,                .arprot
	);

	system_intel_niosv_g_0 intel_niosv_g (
		.clk                          (iopll_sys_outclk0_clk),                                        //   input,   width = 1,                 clk.clk
		.reset_reset                  (rst_controller_reset_out_reset),                               //   input,   width = 1,               reset.reset
		.platform_irq_rx_irq          (intel_niosv_g_platform_irq_rx_irq),                            //   input,  width = 16,     platform_irq_rx.irq
		.instruction_manager_awaddr   (intel_niosv_g_instruction_manager_awaddr),                     //  output,  width = 32, instruction_manager.awaddr
		.instruction_manager_awsize   (intel_niosv_g_instruction_manager_awsize),                     //  output,   width = 3,                    .awsize
		.instruction_manager_awlen    (intel_niosv_g_instruction_manager_awlen),                      //  output,   width = 8,                    .awlen
		.instruction_manager_awprot   (intel_niosv_g_instruction_manager_awprot),                     //  output,   width = 3,                    .awprot
		.instruction_manager_awvalid  (intel_niosv_g_instruction_manager_awvalid),                    //  output,   width = 1,                    .awvalid
		.instruction_manager_awburst  (intel_niosv_g_instruction_manager_awburst),                    //  output,   width = 2,                    .awburst
		.instruction_manager_awready  (intel_niosv_g_instruction_manager_awready),                    //   input,   width = 1,                    .awready
		.instruction_manager_wdata    (intel_niosv_g_instruction_manager_wdata),                      //  output,  width = 32,                    .wdata
		.instruction_manager_wstrb    (intel_niosv_g_instruction_manager_wstrb),                      //  output,   width = 4,                    .wstrb
		.instruction_manager_wlast    (intel_niosv_g_instruction_manager_wlast),                      //  output,   width = 1,                    .wlast
		.instruction_manager_wvalid   (intel_niosv_g_instruction_manager_wvalid),                     //  output,   width = 1,                    .wvalid
		.instruction_manager_wready   (intel_niosv_g_instruction_manager_wready),                     //   input,   width = 1,                    .wready
		.instruction_manager_bresp    (intel_niosv_g_instruction_manager_bresp),                      //   input,   width = 2,                    .bresp
		.instruction_manager_bvalid   (intel_niosv_g_instruction_manager_bvalid),                     //   input,   width = 1,                    .bvalid
		.instruction_manager_bready   (intel_niosv_g_instruction_manager_bready),                     //  output,   width = 1,                    .bready
		.instruction_manager_araddr   (intel_niosv_g_instruction_manager_araddr),                     //  output,  width = 32,                    .araddr
		.instruction_manager_arsize   (intel_niosv_g_instruction_manager_arsize),                     //  output,   width = 3,                    .arsize
		.instruction_manager_arlen    (intel_niosv_g_instruction_manager_arlen),                      //  output,   width = 8,                    .arlen
		.instruction_manager_arprot   (intel_niosv_g_instruction_manager_arprot),                     //  output,   width = 3,                    .arprot
		.instruction_manager_arvalid  (intel_niosv_g_instruction_manager_arvalid),                    //  output,   width = 1,                    .arvalid
		.instruction_manager_arburst  (intel_niosv_g_instruction_manager_arburst),                    //  output,   width = 2,                    .arburst
		.instruction_manager_arready  (intel_niosv_g_instruction_manager_arready),                    //   input,   width = 1,                    .arready
		.instruction_manager_rdata    (intel_niosv_g_instruction_manager_rdata),                      //   input,  width = 32,                    .rdata
		.instruction_manager_rresp    (intel_niosv_g_instruction_manager_rresp),                      //   input,   width = 2,                    .rresp
		.instruction_manager_rvalid   (intel_niosv_g_instruction_manager_rvalid),                     //   input,   width = 1,                    .rvalid
		.instruction_manager_rready   (intel_niosv_g_instruction_manager_rready),                     //  output,   width = 1,                    .rready
		.instruction_manager_rlast    (intel_niosv_g_instruction_manager_rlast),                      //   input,   width = 1,                    .rlast
		.data_manager_awaddr          (intel_niosv_g_data_manager_awaddr),                            //  output,  width = 32,        data_manager.awaddr
		.data_manager_awsize          (intel_niosv_g_data_manager_awsize),                            //  output,   width = 3,                    .awsize
		.data_manager_awlen           (intel_niosv_g_data_manager_awlen),                             //  output,   width = 8,                    .awlen
		.data_manager_awprot          (intel_niosv_g_data_manager_awprot),                            //  output,   width = 3,                    .awprot
		.data_manager_awvalid         (intel_niosv_g_data_manager_awvalid),                           //  output,   width = 1,                    .awvalid
		.data_manager_awready         (intel_niosv_g_data_manager_awready),                           //   input,   width = 1,                    .awready
		.data_manager_wdata           (intel_niosv_g_data_manager_wdata),                             //  output,  width = 32,                    .wdata
		.data_manager_wstrb           (intel_niosv_g_data_manager_wstrb),                             //  output,   width = 4,                    .wstrb
		.data_manager_wlast           (intel_niosv_g_data_manager_wlast),                             //  output,   width = 1,                    .wlast
		.data_manager_wvalid          (intel_niosv_g_data_manager_wvalid),                            //  output,   width = 1,                    .wvalid
		.data_manager_wready          (intel_niosv_g_data_manager_wready),                            //   input,   width = 1,                    .wready
		.data_manager_bresp           (intel_niosv_g_data_manager_bresp),                             //   input,   width = 2,                    .bresp
		.data_manager_bvalid          (intel_niosv_g_data_manager_bvalid),                            //   input,   width = 1,                    .bvalid
		.data_manager_bready          (intel_niosv_g_data_manager_bready),                            //  output,   width = 1,                    .bready
		.data_manager_araddr          (intel_niosv_g_data_manager_araddr),                            //  output,  width = 32,                    .araddr
		.data_manager_arsize          (intel_niosv_g_data_manager_arsize),                            //  output,   width = 3,                    .arsize
		.data_manager_arlen           (intel_niosv_g_data_manager_arlen),                             //  output,   width = 8,                    .arlen
		.data_manager_arprot          (intel_niosv_g_data_manager_arprot),                            //  output,   width = 3,                    .arprot
		.data_manager_arvalid         (intel_niosv_g_data_manager_arvalid),                           //  output,   width = 1,                    .arvalid
		.data_manager_arready         (intel_niosv_g_data_manager_arready),                           //   input,   width = 1,                    .arready
		.data_manager_rdata           (intel_niosv_g_data_manager_rdata),                             //   input,  width = 32,                    .rdata
		.data_manager_rresp           (intel_niosv_g_data_manager_rresp),                             //   input,   width = 2,                    .rresp
		.data_manager_rvalid          (intel_niosv_g_data_manager_rvalid),                            //   input,   width = 1,                    .rvalid
		.data_manager_rlast           (intel_niosv_g_data_manager_rlast),                             //   input,   width = 1,                    .rlast
		.data_manager_rready          (intel_niosv_g_data_manager_rready),                            //  output,   width = 1,                    .rready
		.timer_sw_agent_write         (mm_interconnect_1_intel_niosv_g_timer_sw_agent_write),         //   input,   width = 1,      timer_sw_agent.write
		.timer_sw_agent_writedata     (mm_interconnect_1_intel_niosv_g_timer_sw_agent_writedata),     //   input,  width = 32,                    .writedata
		.timer_sw_agent_byteenable    (mm_interconnect_1_intel_niosv_g_timer_sw_agent_byteenable),    //   input,   width = 4,                    .byteenable
		.timer_sw_agent_address       (mm_interconnect_1_intel_niosv_g_timer_sw_agent_address),       //   input,   width = 6,                    .address
		.timer_sw_agent_read          (mm_interconnect_1_intel_niosv_g_timer_sw_agent_read),          //   input,   width = 1,                    .read
		.timer_sw_agent_readdata      (mm_interconnect_1_intel_niosv_g_timer_sw_agent_readdata),      //  output,  width = 32,                    .readdata
		.timer_sw_agent_readdatavalid (mm_interconnect_1_intel_niosv_g_timer_sw_agent_readdatavalid), //  output,   width = 1,                    .readdatavalid
		.timer_sw_agent_waitrequest   (mm_interconnect_1_intel_niosv_g_timer_sw_agent_waitrequest),   //  output,   width = 1,                    .waitrequest
		.dm_agent_write               (mm_interconnect_1_intel_niosv_g_dm_agent_write),               //   input,   width = 1,            dm_agent.write
		.dm_agent_writedata           (mm_interconnect_1_intel_niosv_g_dm_agent_writedata),           //   input,  width = 32,                    .writedata
		.dm_agent_address             (mm_interconnect_1_intel_niosv_g_dm_agent_address),             //   input,  width = 16,                    .address
		.dm_agent_read                (mm_interconnect_1_intel_niosv_g_dm_agent_read),                //   input,   width = 1,                    .read
		.dm_agent_readdata            (mm_interconnect_1_intel_niosv_g_dm_agent_readdata),            //  output,  width = 32,                    .readdata
		.dm_agent_readdatavalid       (mm_interconnect_1_intel_niosv_g_dm_agent_readdatavalid),       //  output,   width = 1,                    .readdatavalid
		.dm_agent_waitrequest         (mm_interconnect_1_intel_niosv_g_dm_agent_waitrequest)          //  output,   width = 1,                    .waitrequest
	);

	system_intel_onchip_memory_0 intel_onchip_memory (
		.clk        (iopll_sys_outclk0_clk),                               //   input,   width = 1,   clk1.clk
		.address    (mm_interconnect_1_intel_onchip_memory_s1_address),    //   input,  width = 17,     s1.address
		.read       (mm_interconnect_1_intel_onchip_memory_s1_read),       //   input,   width = 1,       .read
		.readdata   (mm_interconnect_1_intel_onchip_memory_s1_readdata),   //  output,  width = 32,       .readdata
		.byteenable (mm_interconnect_1_intel_onchip_memory_s1_byteenable), //   input,   width = 4,       .byteenable
		.write      (mm_interconnect_1_intel_onchip_memory_s1_write),      //   input,   width = 1,       .write
		.writedata  (mm_interconnect_1_intel_onchip_memory_s1_writedata),  //   input,  width = 32,       .writedata
		.reset      (rst_controller_reset_out_reset),                      //   input,   width = 1, reset1.reset
		.reset_req  (rst_controller_reset_out_reset_req)                   //   input,   width = 1,       .reset_req
	);

	system_iopll_0 iopll_sys (
		.refclk   (clock_in_out_clk_clk),      //   input,  width = 1,  refclk.clk
		.locked   (iopll_sys_locked_export),   //  output,  width = 1,  locked.export
		.rst      (~reset_in_out_reset_reset), //   input,  width = 1,   reset.reset
		.outclk_0 (iopll_sys_outclk0_clk)      //  output,  width = 1, outclk0.clk
	);

	jtag_uart jtag_uart (
		.clk            (iopll_sys_outclk0_clk),                                     //   input,   width = 1,               clk.clk
		.rst_n          (~rst_controller_reset_out_reset),                           //   input,   width = 1,             reset.reset_n
		.av_chipselect  (mm_interconnect_1_jtag_uart_avalon_jtag_slave_chipselect),  //   input,   width = 1, avalon_jtag_slave.chipselect
		.av_address     (mm_interconnect_1_jtag_uart_avalon_jtag_slave_address),     //   input,   width = 1,                  .address
		.av_read_n      (~mm_interconnect_1_jtag_uart_avalon_jtag_slave_read),       //   input,   width = 1,                  .read_n
		.av_readdata    (mm_interconnect_1_jtag_uart_avalon_jtag_slave_readdata),    //  output,  width = 32,                  .readdata
		.av_write_n     (~mm_interconnect_1_jtag_uart_avalon_jtag_slave_write),      //   input,   width = 1,                  .write_n
		.av_writedata   (mm_interconnect_1_jtag_uart_avalon_jtag_slave_writedata),   //   input,  width = 32,                  .writedata
		.av_waitrequest (mm_interconnect_1_jtag_uart_avalon_jtag_slave_waitrequest), //  output,   width = 1,                  .waitrequest
		.av_irq         (irq_mapper_receiver1_irq)                                   //  output,   width = 1,               irq.irq
	);

	ed_synth_reset_handler mem_reset_handler (
		.reset_n_0   (reset_in_out_reset_reset),            //   input,  width = 1,   reset_n_0.reset_n
		.conduit_0   (iopll_sys_locked_export),             //   input,  width = 1,   conduit_0.export
		.clk         (iopll_sys_outclk0_clk),               //   input,  width = 1,         clk.clk
		.reset_out_n (mem_reset_handler_reset_n_out_reset)  //  output,  width = 1, reset_n_out.reset_n
	);

	system_pio_0 pio_ddr4_cal_done (
		.clk      (iopll_sys_outclk0_clk),                           //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                 //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_1_pio_ddr4_cal_done_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_1_pio_ddr4_cal_done_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (pio_ddr4_cal_done_external_connection_export)     //   input,   width = 1, external_connection.export
	);

	system_reset_bridge_0 reset_in (
		.clk         (clock_in_out_clk_clk),     //   input,  width = 1,       clk.clk
		.in_reset_n  (reset_n_reset_n),          //   input,  width = 1,  in_reset.reset_n
		.out_reset_n (reset_in_out_reset_reset)  //  output,  width = 1, out_reset.reset_n
	);

	sysid_qsys sysid_qsys (
		.clock    (iopll_sys_outclk0_clk),                               //   input,   width = 1,           clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                     //   input,   width = 1,         reset.reset_n
		.readdata (mm_interconnect_1_sysid_qsys_control_slave_readdata), //  output,  width = 32, control_slave.readdata
		.address  (mm_interconnect_1_sysid_qsys_control_slave_address)   //   input,   width = 1,              .address
	);

	timer timer (
		.clk        (iopll_sys_outclk0_clk),                 //   input,   width = 1,   clk.clk
		.reset_n    (~rst_controller_reset_out_reset),       //   input,   width = 1, reset.reset_n
		.address    (mm_interconnect_1_timer_s1_address),    //   input,   width = 3,    s1.address
		.writedata  (mm_interconnect_1_timer_s1_writedata),  //   input,  width = 16,      .writedata
		.readdata   (mm_interconnect_1_timer_s1_readdata),   //  output,  width = 16,      .readdata
		.chipselect (mm_interconnect_1_timer_s1_chipselect), //   input,   width = 1,      .chipselect
		.write_n    (~mm_interconnect_1_timer_s1_write),     //   input,   width = 1,      .write_n
		.irq        (irq_mapper_receiver0_irq)               //  output,   width = 1,   irq.irq
	);

	system_altera_mm_interconnect_1920_rlgwvaa mm_interconnect_0 (
		.emif_ph2_ddr4a_s0_axil_awaddr                                                           (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_awaddr),    //  output,  width = 27,                                                            emif_ph2_ddr4a_s0_axil.awaddr
		.emif_ph2_ddr4a_s0_axil_awprot                                                           (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_awprot),    //  output,   width = 3,                                                                                  .awprot
		.emif_ph2_ddr4a_s0_axil_awvalid                                                          (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_awvalid),   //  output,   width = 1,                                                                                  .awvalid
		.emif_ph2_ddr4a_s0_axil_awready                                                          (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_awready),   //   input,   width = 1,                                                                                  .awready
		.emif_ph2_ddr4a_s0_axil_wdata                                                            (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_wdata),     //  output,  width = 32,                                                                                  .wdata
		.emif_ph2_ddr4a_s0_axil_wstrb                                                            (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_wstrb),     //  output,   width = 4,                                                                                  .wstrb
		.emif_ph2_ddr4a_s0_axil_wvalid                                                           (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_wvalid),    //  output,   width = 1,                                                                                  .wvalid
		.emif_ph2_ddr4a_s0_axil_wready                                                           (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_wready),    //   input,   width = 1,                                                                                  .wready
		.emif_ph2_ddr4a_s0_axil_bresp                                                            (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_bresp),     //   input,   width = 2,                                                                                  .bresp
		.emif_ph2_ddr4a_s0_axil_bvalid                                                           (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_bvalid),    //   input,   width = 1,                                                                                  .bvalid
		.emif_ph2_ddr4a_s0_axil_bready                                                           (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_bready),    //  output,   width = 1,                                                                                  .bready
		.emif_ph2_ddr4a_s0_axil_araddr                                                           (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_araddr),    //  output,  width = 27,                                                                                  .araddr
		.emif_ph2_ddr4a_s0_axil_arprot                                                           (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_arprot),    //  output,   width = 3,                                                                                  .arprot
		.emif_ph2_ddr4a_s0_axil_arvalid                                                          (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_arvalid),   //  output,   width = 1,                                                                                  .arvalid
		.emif_ph2_ddr4a_s0_axil_arready                                                          (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_arready),   //   input,   width = 1,                                                                                  .arready
		.emif_ph2_ddr4a_s0_axil_rdata                                                            (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_rdata),     //   input,  width = 32,                                                                                  .rdata
		.emif_ph2_ddr4a_s0_axil_rresp                                                            (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_rresp),     //   input,   width = 2,                                                                                  .rresp
		.emif_ph2_ddr4a_s0_axil_rvalid                                                           (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_rvalid),    //   input,   width = 1,                                                                                  .rvalid
		.emif_ph2_ddr4a_s0_axil_rready                                                           (mm_interconnect_0_emif_ph2_ddr4a_s0_axil_rready),    //  output,   width = 1,                                                                                  .rready
		.emif_ph2_axil_driver_axil_driver_axi4_lite_awaddr                                       (emif_ph2_axil_driver_axil_driver_axi4_lite_awaddr),  //   input,  width = 32,                                        emif_ph2_axil_driver_axil_driver_axi4_lite.awaddr
		.emif_ph2_axil_driver_axil_driver_axi4_lite_awprot                                       (emif_ph2_axil_driver_axil_driver_axi4_lite_awprot),  //   input,   width = 3,                                                                                  .awprot
		.emif_ph2_axil_driver_axil_driver_axi4_lite_awvalid                                      (emif_ph2_axil_driver_axil_driver_axi4_lite_awvalid), //   input,   width = 1,                                                                                  .awvalid
		.emif_ph2_axil_driver_axil_driver_axi4_lite_awready                                      (emif_ph2_axil_driver_axil_driver_axi4_lite_awready), //  output,   width = 1,                                                                                  .awready
		.emif_ph2_axil_driver_axil_driver_axi4_lite_wdata                                        (emif_ph2_axil_driver_axil_driver_axi4_lite_wdata),   //   input,  width = 32,                                                                                  .wdata
		.emif_ph2_axil_driver_axil_driver_axi4_lite_wstrb                                        (emif_ph2_axil_driver_axil_driver_axi4_lite_wstrb),   //   input,   width = 4,                                                                                  .wstrb
		.emif_ph2_axil_driver_axil_driver_axi4_lite_wvalid                                       (emif_ph2_axil_driver_axil_driver_axi4_lite_wvalid),  //   input,   width = 1,                                                                                  .wvalid
		.emif_ph2_axil_driver_axil_driver_axi4_lite_wready                                       (emif_ph2_axil_driver_axil_driver_axi4_lite_wready),  //  output,   width = 1,                                                                                  .wready
		.emif_ph2_axil_driver_axil_driver_axi4_lite_bresp                                        (emif_ph2_axil_driver_axil_driver_axi4_lite_bresp),   //  output,   width = 2,                                                                                  .bresp
		.emif_ph2_axil_driver_axil_driver_axi4_lite_bvalid                                       (emif_ph2_axil_driver_axil_driver_axi4_lite_bvalid),  //  output,   width = 1,                                                                                  .bvalid
		.emif_ph2_axil_driver_axil_driver_axi4_lite_bready                                       (emif_ph2_axil_driver_axil_driver_axi4_lite_bready),  //   input,   width = 1,                                                                                  .bready
		.emif_ph2_axil_driver_axil_driver_axi4_lite_araddr                                       (emif_ph2_axil_driver_axil_driver_axi4_lite_araddr),  //   input,  width = 32,                                                                                  .araddr
		.emif_ph2_axil_driver_axil_driver_axi4_lite_arprot                                       (emif_ph2_axil_driver_axil_driver_axi4_lite_arprot),  //   input,   width = 3,                                                                                  .arprot
		.emif_ph2_axil_driver_axil_driver_axi4_lite_arvalid                                      (emif_ph2_axil_driver_axil_driver_axi4_lite_arvalid), //   input,   width = 1,                                                                                  .arvalid
		.emif_ph2_axil_driver_axil_driver_axi4_lite_arready                                      (emif_ph2_axil_driver_axil_driver_axi4_lite_arready), //  output,   width = 1,                                                                                  .arready
		.emif_ph2_axil_driver_axil_driver_axi4_lite_rdata                                        (emif_ph2_axil_driver_axil_driver_axi4_lite_rdata),   //  output,  width = 32,                                                                                  .rdata
		.emif_ph2_axil_driver_axil_driver_axi4_lite_rresp                                        (emif_ph2_axil_driver_axil_driver_axi4_lite_rresp),   //  output,   width = 2,                                                                                  .rresp
		.emif_ph2_axil_driver_axil_driver_axi4_lite_rvalid                                       (emif_ph2_axil_driver_axil_driver_axi4_lite_rvalid),  //  output,   width = 1,                                                                                  .rvalid
		.emif_ph2_axil_driver_axil_driver_axi4_lite_rready                                       (emif_ph2_axil_driver_axil_driver_axi4_lite_rready),  //   input,   width = 1,                                                                                  .rready
		.emif_ph2_axil_driver_axil_driver_axi4_lite_id_pad_clk_reset_reset_bridge_in_reset_reset (rst_controller_003_reset_out_reset),                 //   input,   width = 1, emif_ph2_axil_driver_axil_driver_axi4_lite_id_pad_clk_reset_reset_bridge_in_reset.reset
		.iopll_sys_outclk0_clk                                                                   (iopll_sys_outclk0_clk)                               //   input,   width = 1,                                                                 iopll_sys_outclk0.clk
	);

	system_altera_mm_interconnect_1920_ewnb67i mm_interconnect_1 (
		.intel_niosv_g_data_manager_awaddr                                           (intel_niosv_g_data_manager_awaddr),                                         //   input,  width = 32,                                            intel_niosv_g_data_manager.awaddr
		.intel_niosv_g_data_manager_awlen                                            (intel_niosv_g_data_manager_awlen),                                          //   input,   width = 8,                                                                      .awlen
		.intel_niosv_g_data_manager_awsize                                           (intel_niosv_g_data_manager_awsize),                                         //   input,   width = 3,                                                                      .awsize
		.intel_niosv_g_data_manager_awprot                                           (intel_niosv_g_data_manager_awprot),                                         //   input,   width = 3,                                                                      .awprot
		.intel_niosv_g_data_manager_awvalid                                          (intel_niosv_g_data_manager_awvalid),                                        //   input,   width = 1,                                                                      .awvalid
		.intel_niosv_g_data_manager_awready                                          (intel_niosv_g_data_manager_awready),                                        //  output,   width = 1,                                                                      .awready
		.intel_niosv_g_data_manager_wdata                                            (intel_niosv_g_data_manager_wdata),                                          //   input,  width = 32,                                                                      .wdata
		.intel_niosv_g_data_manager_wstrb                                            (intel_niosv_g_data_manager_wstrb),                                          //   input,   width = 4,                                                                      .wstrb
		.intel_niosv_g_data_manager_wlast                                            (intel_niosv_g_data_manager_wlast),                                          //   input,   width = 1,                                                                      .wlast
		.intel_niosv_g_data_manager_wvalid                                           (intel_niosv_g_data_manager_wvalid),                                         //   input,   width = 1,                                                                      .wvalid
		.intel_niosv_g_data_manager_wready                                           (intel_niosv_g_data_manager_wready),                                         //  output,   width = 1,                                                                      .wready
		.intel_niosv_g_data_manager_bresp                                            (intel_niosv_g_data_manager_bresp),                                          //  output,   width = 2,                                                                      .bresp
		.intel_niosv_g_data_manager_bvalid                                           (intel_niosv_g_data_manager_bvalid),                                         //  output,   width = 1,                                                                      .bvalid
		.intel_niosv_g_data_manager_bready                                           (intel_niosv_g_data_manager_bready),                                         //   input,   width = 1,                                                                      .bready
		.intel_niosv_g_data_manager_araddr                                           (intel_niosv_g_data_manager_araddr),                                         //   input,  width = 32,                                                                      .araddr
		.intel_niosv_g_data_manager_arlen                                            (intel_niosv_g_data_manager_arlen),                                          //   input,   width = 8,                                                                      .arlen
		.intel_niosv_g_data_manager_arsize                                           (intel_niosv_g_data_manager_arsize),                                         //   input,   width = 3,                                                                      .arsize
		.intel_niosv_g_data_manager_arprot                                           (intel_niosv_g_data_manager_arprot),                                         //   input,   width = 3,                                                                      .arprot
		.intel_niosv_g_data_manager_arvalid                                          (intel_niosv_g_data_manager_arvalid),                                        //   input,   width = 1,                                                                      .arvalid
		.intel_niosv_g_data_manager_arready                                          (intel_niosv_g_data_manager_arready),                                        //  output,   width = 1,                                                                      .arready
		.intel_niosv_g_data_manager_rdata                                            (intel_niosv_g_data_manager_rdata),                                          //  output,  width = 32,                                                                      .rdata
		.intel_niosv_g_data_manager_rresp                                            (intel_niosv_g_data_manager_rresp),                                          //  output,   width = 2,                                                                      .rresp
		.intel_niosv_g_data_manager_rlast                                            (intel_niosv_g_data_manager_rlast),                                          //  output,   width = 1,                                                                      .rlast
		.intel_niosv_g_data_manager_rvalid                                           (intel_niosv_g_data_manager_rvalid),                                         //  output,   width = 1,                                                                      .rvalid
		.intel_niosv_g_data_manager_rready                                           (intel_niosv_g_data_manager_rready),                                         //   input,   width = 1,                                                                      .rready
		.intel_niosv_g_instruction_manager_awaddr                                    (intel_niosv_g_instruction_manager_awaddr),                                  //   input,  width = 32,                                     intel_niosv_g_instruction_manager.awaddr
		.intel_niosv_g_instruction_manager_awlen                                     (intel_niosv_g_instruction_manager_awlen),                                   //   input,   width = 8,                                                                      .awlen
		.intel_niosv_g_instruction_manager_awsize                                    (intel_niosv_g_instruction_manager_awsize),                                  //   input,   width = 3,                                                                      .awsize
		.intel_niosv_g_instruction_manager_awburst                                   (intel_niosv_g_instruction_manager_awburst),                                 //   input,   width = 2,                                                                      .awburst
		.intel_niosv_g_instruction_manager_awprot                                    (intel_niosv_g_instruction_manager_awprot),                                  //   input,   width = 3,                                                                      .awprot
		.intel_niosv_g_instruction_manager_awvalid                                   (intel_niosv_g_instruction_manager_awvalid),                                 //   input,   width = 1,                                                                      .awvalid
		.intel_niosv_g_instruction_manager_awready                                   (intel_niosv_g_instruction_manager_awready),                                 //  output,   width = 1,                                                                      .awready
		.intel_niosv_g_instruction_manager_wdata                                     (intel_niosv_g_instruction_manager_wdata),                                   //   input,  width = 32,                                                                      .wdata
		.intel_niosv_g_instruction_manager_wstrb                                     (intel_niosv_g_instruction_manager_wstrb),                                   //   input,   width = 4,                                                                      .wstrb
		.intel_niosv_g_instruction_manager_wlast                                     (intel_niosv_g_instruction_manager_wlast),                                   //   input,   width = 1,                                                                      .wlast
		.intel_niosv_g_instruction_manager_wvalid                                    (intel_niosv_g_instruction_manager_wvalid),                                  //   input,   width = 1,                                                                      .wvalid
		.intel_niosv_g_instruction_manager_wready                                    (intel_niosv_g_instruction_manager_wready),                                  //  output,   width = 1,                                                                      .wready
		.intel_niosv_g_instruction_manager_bresp                                     (intel_niosv_g_instruction_manager_bresp),                                   //  output,   width = 2,                                                                      .bresp
		.intel_niosv_g_instruction_manager_bvalid                                    (intel_niosv_g_instruction_manager_bvalid),                                  //  output,   width = 1,                                                                      .bvalid
		.intel_niosv_g_instruction_manager_bready                                    (intel_niosv_g_instruction_manager_bready),                                  //   input,   width = 1,                                                                      .bready
		.intel_niosv_g_instruction_manager_araddr                                    (intel_niosv_g_instruction_manager_araddr),                                  //   input,  width = 32,                                                                      .araddr
		.intel_niosv_g_instruction_manager_arlen                                     (intel_niosv_g_instruction_manager_arlen),                                   //   input,   width = 8,                                                                      .arlen
		.intel_niosv_g_instruction_manager_arsize                                    (intel_niosv_g_instruction_manager_arsize),                                  //   input,   width = 3,                                                                      .arsize
		.intel_niosv_g_instruction_manager_arburst                                   (intel_niosv_g_instruction_manager_arburst),                                 //   input,   width = 2,                                                                      .arburst
		.intel_niosv_g_instruction_manager_arprot                                    (intel_niosv_g_instruction_manager_arprot),                                  //   input,   width = 3,                                                                      .arprot
		.intel_niosv_g_instruction_manager_arvalid                                   (intel_niosv_g_instruction_manager_arvalid),                                 //   input,   width = 1,                                                                      .arvalid
		.intel_niosv_g_instruction_manager_arready                                   (intel_niosv_g_instruction_manager_arready),                                 //  output,   width = 1,                                                                      .arready
		.intel_niosv_g_instruction_manager_rdata                                     (intel_niosv_g_instruction_manager_rdata),                                   //  output,  width = 32,                                                                      .rdata
		.intel_niosv_g_instruction_manager_rresp                                     (intel_niosv_g_instruction_manager_rresp),                                   //  output,   width = 2,                                                                      .rresp
		.intel_niosv_g_instruction_manager_rlast                                     (intel_niosv_g_instruction_manager_rlast),                                   //  output,   width = 1,                                                                      .rlast
		.intel_niosv_g_instruction_manager_rvalid                                    (intel_niosv_g_instruction_manager_rvalid),                                  //  output,   width = 1,                                                                      .rvalid
		.intel_niosv_g_instruction_manager_rready                                    (intel_niosv_g_instruction_manager_rready),                                  //   input,   width = 1,                                                                      .rready
		.jtag_uart_avalon_jtag_slave_address                                         (mm_interconnect_1_jtag_uart_avalon_jtag_slave_address),                     //  output,   width = 1,                                           jtag_uart_avalon_jtag_slave.address
		.jtag_uart_avalon_jtag_slave_write                                           (mm_interconnect_1_jtag_uart_avalon_jtag_slave_write),                       //  output,   width = 1,                                                                      .write
		.jtag_uart_avalon_jtag_slave_read                                            (mm_interconnect_1_jtag_uart_avalon_jtag_slave_read),                        //  output,   width = 1,                                                                      .read
		.jtag_uart_avalon_jtag_slave_readdata                                        (mm_interconnect_1_jtag_uart_avalon_jtag_slave_readdata),                    //   input,  width = 32,                                                                      .readdata
		.jtag_uart_avalon_jtag_slave_writedata                                       (mm_interconnect_1_jtag_uart_avalon_jtag_slave_writedata),                   //  output,  width = 32,                                                                      .writedata
		.jtag_uart_avalon_jtag_slave_waitrequest                                     (mm_interconnect_1_jtag_uart_avalon_jtag_slave_waitrequest),                 //   input,   width = 1,                                                                      .waitrequest
		.jtag_uart_avalon_jtag_slave_chipselect                                      (mm_interconnect_1_jtag_uart_avalon_jtag_slave_chipselect),                  //  output,   width = 1,                                                                      .chipselect
		.address_span_extender_ddr4_cntl_write                                       (mm_interconnect_1_address_span_extender_ddr4_cntl_write),                   //  output,   width = 1,                                       address_span_extender_ddr4_cntl.write
		.address_span_extender_ddr4_cntl_read                                        (mm_interconnect_1_address_span_extender_ddr4_cntl_read),                    //  output,   width = 1,                                                                      .read
		.address_span_extender_ddr4_cntl_readdata                                    (mm_interconnect_1_address_span_extender_ddr4_cntl_readdata),                //   input,  width = 64,                                                                      .readdata
		.address_span_extender_ddr4_cntl_writedata                                   (mm_interconnect_1_address_span_extender_ddr4_cntl_writedata),               //  output,  width = 64,                                                                      .writedata
		.address_span_extender_ddr4_cntl_byteenable                                  (mm_interconnect_1_address_span_extender_ddr4_cntl_byteenable),              //  output,   width = 8,                                                                      .byteenable
		.sysid_qsys_control_slave_address                                            (mm_interconnect_1_sysid_qsys_control_slave_address),                        //  output,   width = 1,                                              sysid_qsys_control_slave.address
		.sysid_qsys_control_slave_readdata                                           (mm_interconnect_1_sysid_qsys_control_slave_readdata),                       //   input,  width = 32,                                                                      .readdata
		.intel_niosv_g_dm_agent_address                                              (mm_interconnect_1_intel_niosv_g_dm_agent_address),                          //  output,  width = 16,                                                intel_niosv_g_dm_agent.address
		.intel_niosv_g_dm_agent_write                                                (mm_interconnect_1_intel_niosv_g_dm_agent_write),                            //  output,   width = 1,                                                                      .write
		.intel_niosv_g_dm_agent_read                                                 (mm_interconnect_1_intel_niosv_g_dm_agent_read),                             //  output,   width = 1,                                                                      .read
		.intel_niosv_g_dm_agent_readdata                                             (mm_interconnect_1_intel_niosv_g_dm_agent_readdata),                         //   input,  width = 32,                                                                      .readdata
		.intel_niosv_g_dm_agent_writedata                                            (mm_interconnect_1_intel_niosv_g_dm_agent_writedata),                        //  output,  width = 32,                                                                      .writedata
		.intel_niosv_g_dm_agent_readdatavalid                                        (mm_interconnect_1_intel_niosv_g_dm_agent_readdatavalid),                    //   input,   width = 1,                                                                      .readdatavalid
		.intel_niosv_g_dm_agent_waitrequest                                          (mm_interconnect_1_intel_niosv_g_dm_agent_waitrequest),                      //   input,   width = 1,                                                                      .waitrequest
		.timer_s1_address                                                            (mm_interconnect_1_timer_s1_address),                                        //  output,   width = 3,                                                              timer_s1.address
		.timer_s1_write                                                              (mm_interconnect_1_timer_s1_write),                                          //  output,   width = 1,                                                                      .write
		.timer_s1_readdata                                                           (mm_interconnect_1_timer_s1_readdata),                                       //   input,  width = 16,                                                                      .readdata
		.timer_s1_writedata                                                          (mm_interconnect_1_timer_s1_writedata),                                      //  output,  width = 16,                                                                      .writedata
		.timer_s1_chipselect                                                         (mm_interconnect_1_timer_s1_chipselect),                                     //  output,   width = 1,                                                                      .chipselect
		.intel_onchip_memory_s1_address                                              (mm_interconnect_1_intel_onchip_memory_s1_address),                          //  output,  width = 17,                                                intel_onchip_memory_s1.address
		.intel_onchip_memory_s1_write                                                (mm_interconnect_1_intel_onchip_memory_s1_write),                            //  output,   width = 1,                                                                      .write
		.intel_onchip_memory_s1_read                                                 (mm_interconnect_1_intel_onchip_memory_s1_read),                             //  output,   width = 1,                                                                      .read
		.intel_onchip_memory_s1_readdata                                             (mm_interconnect_1_intel_onchip_memory_s1_readdata),                         //   input,  width = 32,                                                                      .readdata
		.intel_onchip_memory_s1_writedata                                            (mm_interconnect_1_intel_onchip_memory_s1_writedata),                        //  output,  width = 32,                                                                      .writedata
		.intel_onchip_memory_s1_byteenable                                           (mm_interconnect_1_intel_onchip_memory_s1_byteenable),                       //  output,   width = 4,                                                                      .byteenable
		.pio_ddr4_cal_done_s1_address                                                (mm_interconnect_1_pio_ddr4_cal_done_s1_address),                            //  output,   width = 2,                                                  pio_ddr4_cal_done_s1.address
		.pio_ddr4_cal_done_s1_readdata                                               (mm_interconnect_1_pio_ddr4_cal_done_s1_readdata),                           //   input,  width = 32,                                                                      .readdata
		.intel_niosv_g_timer_sw_agent_address                                        (mm_interconnect_1_intel_niosv_g_timer_sw_agent_address),                    //  output,   width = 6,                                          intel_niosv_g_timer_sw_agent.address
		.intel_niosv_g_timer_sw_agent_write                                          (mm_interconnect_1_intel_niosv_g_timer_sw_agent_write),                      //  output,   width = 1,                                                                      .write
		.intel_niosv_g_timer_sw_agent_read                                           (mm_interconnect_1_intel_niosv_g_timer_sw_agent_read),                       //  output,   width = 1,                                                                      .read
		.intel_niosv_g_timer_sw_agent_readdata                                       (mm_interconnect_1_intel_niosv_g_timer_sw_agent_readdata),                   //   input,  width = 32,                                                                      .readdata
		.intel_niosv_g_timer_sw_agent_writedata                                      (mm_interconnect_1_intel_niosv_g_timer_sw_agent_writedata),                  //  output,  width = 32,                                                                      .writedata
		.intel_niosv_g_timer_sw_agent_byteenable                                     (mm_interconnect_1_intel_niosv_g_timer_sw_agent_byteenable),                 //  output,   width = 4,                                                                      .byteenable
		.intel_niosv_g_timer_sw_agent_readdatavalid                                  (mm_interconnect_1_intel_niosv_g_timer_sw_agent_readdatavalid),              //   input,   width = 1,                                                                      .readdatavalid
		.intel_niosv_g_timer_sw_agent_waitrequest                                    (mm_interconnect_1_intel_niosv_g_timer_sw_agent_waitrequest),                //   input,   width = 1,                                                                      .waitrequest
		.address_span_extender_ddr4_windowed_slave_address                           (mm_interconnect_1_address_span_extender_ddr4_windowed_slave_address),       //  output,  width = 27,                             address_span_extender_ddr4_windowed_slave.address
		.address_span_extender_ddr4_windowed_slave_write                             (mm_interconnect_1_address_span_extender_ddr4_windowed_slave_write),         //  output,   width = 1,                                                                      .write
		.address_span_extender_ddr4_windowed_slave_read                              (mm_interconnect_1_address_span_extender_ddr4_windowed_slave_read),          //  output,   width = 1,                                                                      .read
		.address_span_extender_ddr4_windowed_slave_readdata                          (mm_interconnect_1_address_span_extender_ddr4_windowed_slave_readdata),      //   input,  width = 32,                                                                      .readdata
		.address_span_extender_ddr4_windowed_slave_writedata                         (mm_interconnect_1_address_span_extender_ddr4_windowed_slave_writedata),     //  output,  width = 32,                                                                      .writedata
		.address_span_extender_ddr4_windowed_slave_burstcount                        (mm_interconnect_1_address_span_extender_ddr4_windowed_slave_burstcount),    //  output,   width = 1,                                                                      .burstcount
		.address_span_extender_ddr4_windowed_slave_byteenable                        (mm_interconnect_1_address_span_extender_ddr4_windowed_slave_byteenable),    //  output,   width = 4,                                                                      .byteenable
		.address_span_extender_ddr4_windowed_slave_readdatavalid                     (mm_interconnect_1_address_span_extender_ddr4_windowed_slave_readdatavalid), //   input,   width = 1,                                                                      .readdatavalid
		.address_span_extender_ddr4_windowed_slave_waitrequest                       (mm_interconnect_1_address_span_extender_ddr4_windowed_slave_waitrequest),   //   input,   width = 1,                                                                      .waitrequest
		.intel_niosv_g_reset_reset_bridge_in_reset_reset                             (rst_controller_004_reset_out_reset),                                        //   input,   width = 1,                             intel_niosv_g_reset_reset_bridge_in_reset.reset
		.intel_niosv_g_data_manager_translator_clk_reset_reset_bridge_in_reset_reset (rst_controller_004_reset_out_reset),                                        //   input,   width = 1, intel_niosv_g_data_manager_translator_clk_reset_reset_bridge_in_reset.reset
		.iopll_sys_outclk0_clk                                                       (iopll_sys_outclk0_clk)                                                      //   input,   width = 1,                                                     iopll_sys_outclk0.clk
	);

	system_altera_mm_interconnect_1920_xow5tha mm_interconnect_2 (
		.address_span_extender_ddr4_expanded_master_address                                      (address_span_extender_ddr4_expanded_master_address),       //   input,   width = 32,                                        address_span_extender_ddr4_expanded_master.address
		.address_span_extender_ddr4_expanded_master_waitrequest                                  (address_span_extender_ddr4_expanded_master_waitrequest),   //  output,    width = 1,                                                                                  .waitrequest
		.address_span_extender_ddr4_expanded_master_burstcount                                   (address_span_extender_ddr4_expanded_master_burstcount),    //   input,    width = 1,                                                                                  .burstcount
		.address_span_extender_ddr4_expanded_master_byteenable                                   (address_span_extender_ddr4_expanded_master_byteenable),    //   input,    width = 4,                                                                                  .byteenable
		.address_span_extender_ddr4_expanded_master_read                                         (address_span_extender_ddr4_expanded_master_read),          //   input,    width = 1,                                                                                  .read
		.address_span_extender_ddr4_expanded_master_readdata                                     (address_span_extender_ddr4_expanded_master_readdata),      //  output,   width = 32,                                                                                  .readdata
		.address_span_extender_ddr4_expanded_master_readdatavalid                                (address_span_extender_ddr4_expanded_master_readdatavalid), //  output,    width = 1,                                                                                  .readdatavalid
		.address_span_extender_ddr4_expanded_master_write                                        (address_span_extender_ddr4_expanded_master_write),         //   input,    width = 1,                                                                                  .write
		.address_span_extender_ddr4_expanded_master_writedata                                    (address_span_extender_ddr4_expanded_master_writedata),     //   input,   width = 32,                                                                                  .writedata
		.emif_ph2_ddr4a_s0_axi4_awid                                                             (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awid),            //  output,    width = 7,                                                            emif_ph2_ddr4a_s0_axi4.awid
		.emif_ph2_ddr4a_s0_axi4_awaddr                                                           (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awaddr),          //  output,   width = 32,                                                                                  .awaddr
		.emif_ph2_ddr4a_s0_axi4_awlen                                                            (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awlen),           //  output,    width = 8,                                                                                  .awlen
		.emif_ph2_ddr4a_s0_axi4_awsize                                                           (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awsize),          //  output,    width = 3,                                                                                  .awsize
		.emif_ph2_ddr4a_s0_axi4_awburst                                                          (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awburst),         //  output,    width = 2,                                                                                  .awburst
		.emif_ph2_ddr4a_s0_axi4_awlock                                                           (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awlock),          //  output,    width = 1,                                                                                  .awlock
		.emif_ph2_ddr4a_s0_axi4_awprot                                                           (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awprot),          //  output,    width = 3,                                                                                  .awprot
		.emif_ph2_ddr4a_s0_axi4_awuser                                                           (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awuser),          //  output,    width = 4,                                                                                  .awuser
		.emif_ph2_ddr4a_s0_axi4_awqos                                                            (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awqos),           //  output,    width = 4,                                                                                  .awqos
		.emif_ph2_ddr4a_s0_axi4_awvalid                                                          (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awvalid),         //  output,    width = 1,                                                                                  .awvalid
		.emif_ph2_ddr4a_s0_axi4_awready                                                          (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_awready),         //   input,    width = 1,                                                                                  .awready
		.emif_ph2_ddr4a_s0_axi4_wdata                                                            (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_wdata),           //  output,  width = 256,                                                                                  .wdata
		.emif_ph2_ddr4a_s0_axi4_wstrb                                                            (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_wstrb),           //  output,   width = 32,                                                                                  .wstrb
		.emif_ph2_ddr4a_s0_axi4_wlast                                                            (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_wlast),           //  output,    width = 1,                                                                                  .wlast
		.emif_ph2_ddr4a_s0_axi4_wvalid                                                           (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_wvalid),          //  output,    width = 1,                                                                                  .wvalid
		.emif_ph2_ddr4a_s0_axi4_wuser                                                            (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_wuser),           //  output,   width = 64,                                                                                  .wuser
		.emif_ph2_ddr4a_s0_axi4_wready                                                           (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_wready),          //   input,    width = 1,                                                                                  .wready
		.emif_ph2_ddr4a_s0_axi4_bid                                                              (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_bid),             //   input,    width = 7,                                                                                  .bid
		.emif_ph2_ddr4a_s0_axi4_bresp                                                            (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_bresp),           //   input,    width = 2,                                                                                  .bresp
		.emif_ph2_ddr4a_s0_axi4_bvalid                                                           (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_bvalid),          //   input,    width = 1,                                                                                  .bvalid
		.emif_ph2_ddr4a_s0_axi4_bready                                                           (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_bready),          //  output,    width = 1,                                                                                  .bready
		.emif_ph2_ddr4a_s0_axi4_arid                                                             (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arid),            //  output,    width = 7,                                                                                  .arid
		.emif_ph2_ddr4a_s0_axi4_araddr                                                           (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_araddr),          //  output,   width = 32,                                                                                  .araddr
		.emif_ph2_ddr4a_s0_axi4_arlen                                                            (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arlen),           //  output,    width = 8,                                                                                  .arlen
		.emif_ph2_ddr4a_s0_axi4_arsize                                                           (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arsize),          //  output,    width = 3,                                                                                  .arsize
		.emif_ph2_ddr4a_s0_axi4_arburst                                                          (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arburst),         //  output,    width = 2,                                                                                  .arburst
		.emif_ph2_ddr4a_s0_axi4_arlock                                                           (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arlock),          //  output,    width = 1,                                                                                  .arlock
		.emif_ph2_ddr4a_s0_axi4_arprot                                                           (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arprot),          //  output,    width = 3,                                                                                  .arprot
		.emif_ph2_ddr4a_s0_axi4_aruser                                                           (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_aruser),          //  output,    width = 4,                                                                                  .aruser
		.emif_ph2_ddr4a_s0_axi4_arqos                                                            (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arqos),           //  output,    width = 4,                                                                                  .arqos
		.emif_ph2_ddr4a_s0_axi4_arvalid                                                          (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arvalid),         //  output,    width = 1,                                                                                  .arvalid
		.emif_ph2_ddr4a_s0_axi4_arready                                                          (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_arready),         //   input,    width = 1,                                                                                  .arready
		.emif_ph2_ddr4a_s0_axi4_rid                                                              (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_rid),             //   input,    width = 7,                                                                                  .rid
		.emif_ph2_ddr4a_s0_axi4_rdata                                                            (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_rdata),           //   input,  width = 256,                                                                                  .rdata
		.emif_ph2_ddr4a_s0_axi4_rresp                                                            (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_rresp),           //   input,    width = 2,                                                                                  .rresp
		.emif_ph2_ddr4a_s0_axi4_rlast                                                            (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_rlast),           //   input,    width = 1,                                                                                  .rlast
		.emif_ph2_ddr4a_s0_axi4_rvalid                                                           (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_rvalid),          //   input,    width = 1,                                                                                  .rvalid
		.emif_ph2_ddr4a_s0_axi4_rready                                                           (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_rready),          //  output,    width = 1,                                                                                  .rready
		.emif_ph2_ddr4a_s0_axi4_ruser                                                            (mm_interconnect_2_emif_ph2_ddr4a_s0_axi4_ruser),           //   input,   width = 64,                                                                                  .ruser
		.address_span_extender_ddr4_expanded_master_translator_reset_reset_bridge_in_reset_reset (rst_controller_004_reset_out_reset),                       //   input,    width = 1, address_span_extender_ddr4_expanded_master_translator_reset_reset_bridge_in_reset.reset
		.emif_ph2_ddr4a_s0_axi4_translator_clk_reset_reset_bridge_in_reset_reset                 (rst_controller_005_reset_out_reset),                       //   input,    width = 1,                 emif_ph2_ddr4a_s0_axi4_translator_clk_reset_reset_bridge_in_reset.reset
		.iopll_sys_outclk0_clk                                                                   (iopll_sys_outclk0_clk)                                     //   input,    width = 1,                                                                 iopll_sys_outclk0.clk
	);

	system_altera_irq_mapper_2001_qylhc4a irq_mapper (
		.clk           (iopll_sys_outclk0_clk),             //   input,   width = 1,       clk.clk
		.reset         (rst_controller_reset_out_reset),    //   input,   width = 1, clk_reset.reset
		.receiver0_irq (irq_mapper_receiver0_irq),          //   input,   width = 1, receiver0.irq
		.receiver1_irq (irq_mapper_receiver1_irq),          //   input,   width = 1, receiver1.irq
		.sender_irq    (intel_niosv_g_platform_irq_rx_irq)  //  output,  width = 16,    sender.irq
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_in_out_reset_reset),          //   input,  width = 1, reset_in0.reset
		.clk            (iopll_sys_outclk0_clk),              //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_reset_out_reset),     //  output,  width = 1, reset_out.reset
		.reset_req      (rst_controller_reset_out_reset_req), //  output,  width = 1,          .reset_req
		.reset_req_in0  (1'b0),                               // (terminated),                       
		.reset_in1      (1'b0),                               // (terminated),                       
		.reset_req_in1  (1'b0),                               // (terminated),                       
		.reset_in2      (1'b0),                               // (terminated),                       
		.reset_req_in2  (1'b0),                               // (terminated),                       
		.reset_in3      (1'b0),                               // (terminated),                       
		.reset_req_in3  (1'b0),                               // (terminated),                       
		.reset_in4      (1'b0),                               // (terminated),                       
		.reset_req_in4  (1'b0),                               // (terminated),                       
		.reset_in5      (1'b0),                               // (terminated),                       
		.reset_req_in5  (1'b0),                               // (terminated),                       
		.reset_in6      (1'b0),                               // (terminated),                       
		.reset_req_in6  (1'b0),                               // (terminated),                       
		.reset_in7      (1'b0),                               // (terminated),                       
		.reset_req_in7  (1'b0),                               // (terminated),                       
		.reset_in8      (1'b0),                               // (terminated),                       
		.reset_req_in8  (1'b0),                               // (terminated),                       
		.reset_in9      (1'b0),                               // (terminated),                       
		.reset_req_in9  (1'b0),                               // (terminated),                       
		.reset_in10     (1'b0),                               // (terminated),                       
		.reset_req_in10 (1'b0),                               // (terminated),                       
		.reset_in11     (1'b0),                               // (terminated),                       
		.reset_req_in11 (1'b0),                               // (terminated),                       
		.reset_in12     (1'b0),                               // (terminated),                       
		.reset_req_in12 (1'b0),                               // (terminated),                       
		.reset_in13     (1'b0),                               // (terminated),                       
		.reset_req_in13 (1'b0),                               // (terminated),                       
		.reset_in14     (1'b0),                               // (terminated),                       
		.reset_req_in14 (1'b0),                               // (terminated),                       
		.reset_in15     (1'b0),                               // (terminated),                       
		.reset_req_in15 (1'b0)                                // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_001 (
		.reset_in0      (~reset_in_out_reset_reset),            //   input,  width = 1, reset_in0.reset
		.reset_in1      (~mem_reset_handler_reset_n_out_reset), //   input,  width = 1, reset_in1.reset
		.clk            (iopll_sys_outclk0_clk),                //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_001_reset_out_reset),   //  output,  width = 1, reset_out.reset
		.reset_req      (),                                     // (terminated),                       
		.reset_req_in0  (1'b0),                                 // (terminated),                       
		.reset_req_in1  (1'b0),                                 // (terminated),                       
		.reset_in2      (1'b0),                                 // (terminated),                       
		.reset_req_in2  (1'b0),                                 // (terminated),                       
		.reset_in3      (1'b0),                                 // (terminated),                       
		.reset_req_in3  (1'b0),                                 // (terminated),                       
		.reset_in4      (1'b0),                                 // (terminated),                       
		.reset_req_in4  (1'b0),                                 // (terminated),                       
		.reset_in5      (1'b0),                                 // (terminated),                       
		.reset_req_in5  (1'b0),                                 // (terminated),                       
		.reset_in6      (1'b0),                                 // (terminated),                       
		.reset_req_in6  (1'b0),                                 // (terminated),                       
		.reset_in7      (1'b0),                                 // (terminated),                       
		.reset_req_in7  (1'b0),                                 // (terminated),                       
		.reset_in8      (1'b0),                                 // (terminated),                       
		.reset_req_in8  (1'b0),                                 // (terminated),                       
		.reset_in9      (1'b0),                                 // (terminated),                       
		.reset_req_in9  (1'b0),                                 // (terminated),                       
		.reset_in10     (1'b0),                                 // (terminated),                       
		.reset_req_in10 (1'b0),                                 // (terminated),                       
		.reset_in11     (1'b0),                                 // (terminated),                       
		.reset_req_in11 (1'b0),                                 // (terminated),                       
		.reset_in12     (1'b0),                                 // (terminated),                       
		.reset_req_in12 (1'b0),                                 // (terminated),                       
		.reset_in13     (1'b0),                                 // (terminated),                       
		.reset_req_in13 (1'b0),                                 // (terminated),                       
		.reset_in14     (1'b0),                                 // (terminated),                       
		.reset_req_in14 (1'b0),                                 // (terminated),                       
		.reset_in15     (1'b0),                                 // (terminated),                       
		.reset_req_in15 (1'b0)                                  // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("none"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_002 (
		.reset_in0      (~reset_in_out_reset_reset),            //   input,  width = 1, reset_in0.reset
		.reset_in1      (~mem_reset_handler_reset_n_out_reset), //   input,  width = 1, reset_in1.reset
		.clk            (),                                     //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_002_reset_out_reset),   //  output,  width = 1, reset_out.reset
		.reset_req      (),                                     // (terminated),                       
		.reset_req_in0  (1'b0),                                 // (terminated),                       
		.reset_req_in1  (1'b0),                                 // (terminated),                       
		.reset_in2      (1'b0),                                 // (terminated),                       
		.reset_req_in2  (1'b0),                                 // (terminated),                       
		.reset_in3      (1'b0),                                 // (terminated),                       
		.reset_req_in3  (1'b0),                                 // (terminated),                       
		.reset_in4      (1'b0),                                 // (terminated),                       
		.reset_req_in4  (1'b0),                                 // (terminated),                       
		.reset_in5      (1'b0),                                 // (terminated),                       
		.reset_req_in5  (1'b0),                                 // (terminated),                       
		.reset_in6      (1'b0),                                 // (terminated),                       
		.reset_req_in6  (1'b0),                                 // (terminated),                       
		.reset_in7      (1'b0),                                 // (terminated),                       
		.reset_req_in7  (1'b0),                                 // (terminated),                       
		.reset_in8      (1'b0),                                 // (terminated),                       
		.reset_req_in8  (1'b0),                                 // (terminated),                       
		.reset_in9      (1'b0),                                 // (terminated),                       
		.reset_req_in9  (1'b0),                                 // (terminated),                       
		.reset_in10     (1'b0),                                 // (terminated),                       
		.reset_req_in10 (1'b0),                                 // (terminated),                       
		.reset_in11     (1'b0),                                 // (terminated),                       
		.reset_req_in11 (1'b0),                                 // (terminated),                       
		.reset_in12     (1'b0),                                 // (terminated),                       
		.reset_req_in12 (1'b0),                                 // (terminated),                       
		.reset_in13     (1'b0),                                 // (terminated),                       
		.reset_req_in13 (1'b0),                                 // (terminated),                       
		.reset_in14     (1'b0),                                 // (terminated),                       
		.reset_req_in14 (1'b0),                                 // (terminated),                       
		.reset_in15     (1'b0),                                 // (terminated),                       
		.reset_req_in15 (1'b0)                                  // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("both"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_003 (
		.reset_in0      (~reset_in_out_reset_reset),            //   input,  width = 1, reset_in0.reset
		.reset_in1      (~mem_reset_handler_reset_n_out_reset), //   input,  width = 1, reset_in1.reset
		.clk            (iopll_sys_outclk0_clk),                //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_003_reset_out_reset),   //  output,  width = 1, reset_out.reset
		.reset_req      (),                                     // (terminated),                       
		.reset_req_in0  (1'b0),                                 // (terminated),                       
		.reset_req_in1  (1'b0),                                 // (terminated),                       
		.reset_in2      (1'b0),                                 // (terminated),                       
		.reset_req_in2  (1'b0),                                 // (terminated),                       
		.reset_in3      (1'b0),                                 // (terminated),                       
		.reset_req_in3  (1'b0),                                 // (terminated),                       
		.reset_in4      (1'b0),                                 // (terminated),                       
		.reset_req_in4  (1'b0),                                 // (terminated),                       
		.reset_in5      (1'b0),                                 // (terminated),                       
		.reset_req_in5  (1'b0),                                 // (terminated),                       
		.reset_in6      (1'b0),                                 // (terminated),                       
		.reset_req_in6  (1'b0),                                 // (terminated),                       
		.reset_in7      (1'b0),                                 // (terminated),                       
		.reset_req_in7  (1'b0),                                 // (terminated),                       
		.reset_in8      (1'b0),                                 // (terminated),                       
		.reset_req_in8  (1'b0),                                 // (terminated),                       
		.reset_in9      (1'b0),                                 // (terminated),                       
		.reset_req_in9  (1'b0),                                 // (terminated),                       
		.reset_in10     (1'b0),                                 // (terminated),                       
		.reset_req_in10 (1'b0),                                 // (terminated),                       
		.reset_in11     (1'b0),                                 // (terminated),                       
		.reset_req_in11 (1'b0),                                 // (terminated),                       
		.reset_in12     (1'b0),                                 // (terminated),                       
		.reset_req_in12 (1'b0),                                 // (terminated),                       
		.reset_in13     (1'b0),                                 // (terminated),                       
		.reset_req_in13 (1'b0),                                 // (terminated),                       
		.reset_in14     (1'b0),                                 // (terminated),                       
		.reset_req_in14 (1'b0),                                 // (terminated),                       
		.reset_in15     (1'b0),                                 // (terminated),                       
		.reset_req_in15 (1'b0)                                  // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("both"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_004 (
		.reset_in0      (~reset_in_out_reset_reset),          //   input,  width = 1, reset_in0.reset
		.clk            (iopll_sys_outclk0_clk),              //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_004_reset_out_reset), //  output,  width = 1, reset_out.reset
		.reset_req      (),                                   // (terminated),                       
		.reset_req_in0  (1'b0),                               // (terminated),                       
		.reset_in1      (1'b0),                               // (terminated),                       
		.reset_req_in1  (1'b0),                               // (terminated),                       
		.reset_in2      (1'b0),                               // (terminated),                       
		.reset_req_in2  (1'b0),                               // (terminated),                       
		.reset_in3      (1'b0),                               // (terminated),                       
		.reset_req_in3  (1'b0),                               // (terminated),                       
		.reset_in4      (1'b0),                               // (terminated),                       
		.reset_req_in4  (1'b0),                               // (terminated),                       
		.reset_in5      (1'b0),                               // (terminated),                       
		.reset_req_in5  (1'b0),                               // (terminated),                       
		.reset_in6      (1'b0),                               // (terminated),                       
		.reset_req_in6  (1'b0),                               // (terminated),                       
		.reset_in7      (1'b0),                               // (terminated),                       
		.reset_req_in7  (1'b0),                               // (terminated),                       
		.reset_in8      (1'b0),                               // (terminated),                       
		.reset_req_in8  (1'b0),                               // (terminated),                       
		.reset_in9      (1'b0),                               // (terminated),                       
		.reset_req_in9  (1'b0),                               // (terminated),                       
		.reset_in10     (1'b0),                               // (terminated),                       
		.reset_req_in10 (1'b0),                               // (terminated),                       
		.reset_in11     (1'b0),                               // (terminated),                       
		.reset_req_in11 (1'b0),                               // (terminated),                       
		.reset_in12     (1'b0),                               // (terminated),                       
		.reset_req_in12 (1'b0),                               // (terminated),                       
		.reset_in13     (1'b0),                               // (terminated),                       
		.reset_req_in13 (1'b0),                               // (terminated),                       
		.reset_in14     (1'b0),                               // (terminated),                       
		.reset_req_in14 (1'b0),                               // (terminated),                       
		.reset_in15     (1'b0),                               // (terminated),                       
		.reset_req_in15 (1'b0)                                // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("both"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_005 (
		.reset_in0      (~emif_ph2_ddr4a_usr_rst_n_0_reset),  //   input,  width = 1, reset_in0.reset
		.clk            (iopll_sys_outclk0_clk),              //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_005_reset_out_reset), //  output,  width = 1, reset_out.reset
		.reset_req      (),                                   // (terminated),                       
		.reset_req_in0  (1'b0),                               // (terminated),                       
		.reset_in1      (1'b0),                               // (terminated),                       
		.reset_req_in1  (1'b0),                               // (terminated),                       
		.reset_in2      (1'b0),                               // (terminated),                       
		.reset_req_in2  (1'b0),                               // (terminated),                       
		.reset_in3      (1'b0),                               // (terminated),                       
		.reset_req_in3  (1'b0),                               // (terminated),                       
		.reset_in4      (1'b0),                               // (terminated),                       
		.reset_req_in4  (1'b0),                               // (terminated),                       
		.reset_in5      (1'b0),                               // (terminated),                       
		.reset_req_in5  (1'b0),                               // (terminated),                       
		.reset_in6      (1'b0),                               // (terminated),                       
		.reset_req_in6  (1'b0),                               // (terminated),                       
		.reset_in7      (1'b0),                               // (terminated),                       
		.reset_req_in7  (1'b0),                               // (terminated),                       
		.reset_in8      (1'b0),                               // (terminated),                       
		.reset_req_in8  (1'b0),                               // (terminated),                       
		.reset_in9      (1'b0),                               // (terminated),                       
		.reset_req_in9  (1'b0),                               // (terminated),                       
		.reset_in10     (1'b0),                               // (terminated),                       
		.reset_req_in10 (1'b0),                               // (terminated),                       
		.reset_in11     (1'b0),                               // (terminated),                       
		.reset_req_in11 (1'b0),                               // (terminated),                       
		.reset_in12     (1'b0),                               // (terminated),                       
		.reset_req_in12 (1'b0),                               // (terminated),                       
		.reset_in13     (1'b0),                               // (terminated),                       
		.reset_req_in13 (1'b0),                               // (terminated),                       
		.reset_in14     (1'b0),                               // (terminated),                       
		.reset_req_in14 (1'b0),                               // (terminated),                       
		.reset_in15     (1'b0),                               // (terminated),                       
		.reset_req_in15 (1'b0)                                // (terminated),                       
	);

endmodule
