	component system is
		port (
			clock_in_clk                                 : in    std_logic                     := 'X';             -- clk
			emif_ph2_axil_driver_cal_done_rst_n_reset_n  : out   std_logic;                                        -- reset_n
			emif_ph2_ddr4_ref_clk_0_clk                  : in    std_logic                     := 'X';             -- clk
			emif_ph2_ddr4_mem_0_mem_ck_t                 : out   std_logic;                                        -- mem_ck_t
			emif_ph2_ddr4_mem_0_mem_ck_c                 : out   std_logic;                                        -- mem_ck_c
			emif_ph2_ddr4_mem_0_mem_cke                  : out   std_logic;                                        -- mem_cke
			emif_ph2_ddr4_mem_0_mem_odt                  : out   std_logic;                                        -- mem_odt
			emif_ph2_ddr4_mem_0_mem_cs_n                 : out   std_logic;                                        -- mem_cs_n
			emif_ph2_ddr4_mem_0_mem_a                    : out   std_logic_vector(16 downto 0);                    -- mem_a
			emif_ph2_ddr4_mem_0_mem_ba                   : out   std_logic_vector(1 downto 0);                     -- mem_ba
			emif_ph2_ddr4_mem_0_mem_bg                   : out   std_logic;                                        -- mem_bg
			emif_ph2_ddr4_mem_0_mem_act_n                : out   std_logic;                                        -- mem_act_n
			emif_ph2_ddr4_mem_0_mem_par                  : out   std_logic;                                        -- mem_par
			emif_ph2_ddr4_mem_0_mem_alert_n              : in    std_logic                     := 'X';             -- mem_alert_n
			emif_ph2_ddr4_mem_0_mem_reset_n              : out   std_logic;                                        -- mem_reset_n
			emif_ph2_ddr4_mem_0_mem_dq                   : inout std_logic_vector(31 downto 0) := (others => 'X'); -- mem_dq
			emif_ph2_ddr4_mem_0_mem_dqs_t                : inout std_logic_vector(3 downto 0)  := (others => 'X'); -- mem_dqs_t
			emif_ph2_ddr4_mem_0_mem_dqs_c                : inout std_logic_vector(3 downto 0)  := (others => 'X'); -- mem_dqs_c
			emif_ph2_ddr4_mem_0_mem_dbi_n                : inout std_logic_vector(3 downto 0)  := (others => 'X'); -- mem_dbi_n
			emif_ph2_ddr4_oct_0_oct_rzqin                : in    std_logic                     := 'X';             -- oct_rzqin
			pio_ddr4_cal_done_external_connection_export : in    std_logic                     := 'X';             -- export
			pio_key_external_connection_export           : in    std_logic_vector(3 downto 0)  := (others => 'X'); -- export
			reset_n_reset_n                              : in    std_logic                     := 'X'              -- reset_n
		);
	end component system;

	u0 : component system
		port map (
			clock_in_clk                                 => CONNECTED_TO_clock_in_clk,                                 --                              clock_in.clk
			emif_ph2_axil_driver_cal_done_rst_n_reset_n  => CONNECTED_TO_emif_ph2_axil_driver_cal_done_rst_n_reset_n,  --   emif_ph2_axil_driver_cal_done_rst_n.reset_n
			emif_ph2_ddr4_ref_clk_0_clk                  => CONNECTED_TO_emif_ph2_ddr4_ref_clk_0_clk,                  --               emif_ph2_ddr4_ref_clk_0.clk
			emif_ph2_ddr4_mem_0_mem_ck_t                 => CONNECTED_TO_emif_ph2_ddr4_mem_0_mem_ck_t,                 --                   emif_ph2_ddr4_mem_0.mem_ck_t
			emif_ph2_ddr4_mem_0_mem_ck_c                 => CONNECTED_TO_emif_ph2_ddr4_mem_0_mem_ck_c,                 --                                      .mem_ck_c
			emif_ph2_ddr4_mem_0_mem_cke                  => CONNECTED_TO_emif_ph2_ddr4_mem_0_mem_cke,                  --                                      .mem_cke
			emif_ph2_ddr4_mem_0_mem_odt                  => CONNECTED_TO_emif_ph2_ddr4_mem_0_mem_odt,                  --                                      .mem_odt
			emif_ph2_ddr4_mem_0_mem_cs_n                 => CONNECTED_TO_emif_ph2_ddr4_mem_0_mem_cs_n,                 --                                      .mem_cs_n
			emif_ph2_ddr4_mem_0_mem_a                    => CONNECTED_TO_emif_ph2_ddr4_mem_0_mem_a,                    --                                      .mem_a
			emif_ph2_ddr4_mem_0_mem_ba                   => CONNECTED_TO_emif_ph2_ddr4_mem_0_mem_ba,                   --                                      .mem_ba
			emif_ph2_ddr4_mem_0_mem_bg                   => CONNECTED_TO_emif_ph2_ddr4_mem_0_mem_bg,                   --                                      .mem_bg
			emif_ph2_ddr4_mem_0_mem_act_n                => CONNECTED_TO_emif_ph2_ddr4_mem_0_mem_act_n,                --                                      .mem_act_n
			emif_ph2_ddr4_mem_0_mem_par                  => CONNECTED_TO_emif_ph2_ddr4_mem_0_mem_par,                  --                                      .mem_par
			emif_ph2_ddr4_mem_0_mem_alert_n              => CONNECTED_TO_emif_ph2_ddr4_mem_0_mem_alert_n,              --                                      .mem_alert_n
			emif_ph2_ddr4_mem_0_mem_reset_n              => CONNECTED_TO_emif_ph2_ddr4_mem_0_mem_reset_n,              --                                      .mem_reset_n
			emif_ph2_ddr4_mem_0_mem_dq                   => CONNECTED_TO_emif_ph2_ddr4_mem_0_mem_dq,                   --                                      .mem_dq
			emif_ph2_ddr4_mem_0_mem_dqs_t                => CONNECTED_TO_emif_ph2_ddr4_mem_0_mem_dqs_t,                --                                      .mem_dqs_t
			emif_ph2_ddr4_mem_0_mem_dqs_c                => CONNECTED_TO_emif_ph2_ddr4_mem_0_mem_dqs_c,                --                                      .mem_dqs_c
			emif_ph2_ddr4_mem_0_mem_dbi_n                => CONNECTED_TO_emif_ph2_ddr4_mem_0_mem_dbi_n,                --                                      .mem_dbi_n
			emif_ph2_ddr4_oct_0_oct_rzqin                => CONNECTED_TO_emif_ph2_ddr4_oct_0_oct_rzqin,                --                   emif_ph2_ddr4_oct_0.oct_rzqin
			pio_ddr4_cal_done_external_connection_export => CONNECTED_TO_pio_ddr4_cal_done_external_connection_export, -- pio_ddr4_cal_done_external_connection.export
			pio_key_external_connection_export           => CONNECTED_TO_pio_key_external_connection_export,           --           pio_key_external_connection.export
			reset_n_reset_n                              => CONNECTED_TO_reset_n_reset_n                               --                               reset_n.reset_n
		);

