// Line_Buffer.v

// Generated using ACDS version 24.1 115

`timescale 1 ps / 1 ps
module Line_Buffer (
		input  wire        aclr,     //     aclr.reset,    Asynchronous clear input to clear shiftout output
		input  wire        clken,    //    clken.clken,    Enable port to the clock source.
		input  wire        clock,    //    clock.clk,      Positive-edge triggered clock.
		input  wire [15:0] shiftin,  //  shiftin.shiftin,  Data input to the shifter
		output wire [15:0] shiftout, // shiftout.shiftout, Output from the end of the shift register. Output port WIDTH bits wide.
		output wire [15:0] taps      //     taps.taps,     Output from the regularly spaced taps along the shift register. Output port WIDTH * NUMBER_OF_TAPS wide. This port is an aggregate of all the regularly spaced taps (each WIDTH bits) along the shift register.
	);

	Line_Buffer_altshift_taps_1920_f6p3iny altshift_taps_0 (
		.aclr     (aclr),     //   input,   width = 1,     aclr.reset
		.clken    (clken),    //   input,   width = 1,    clken.clken
		.clock    (clock),    //   input,   width = 1,    clock.clk
		.shiftin  (shiftin),  //   input,  width = 16,  shiftin.shiftin
		.shiftout (shiftout), //  output,  width = 16, shiftout.shiftout
		.taps     (taps)      //  output,  width = 16,     taps.taps
	);

endmodule
