module nios_system (
		output wire        audio_conduit_end_XCK,          //       audio_conduit_end.XCK
		input  wire        audio_conduit_end_ADCDAT,       //                        .ADCDAT
		input  wire        audio_conduit_end_ADCLRC,       //                        .ADCLRC
		output wire        audio_conduit_end_DACDAT,       //                        .DACDAT
		input  wire        audio_conduit_end_DACLRC,       //                        .DACLRC
		input  wire        audio_conduit_end_BCLK,         //                        .BCLK
		inout  wire        audio_i2c_export_scl_pad_io,    //        audio_i2c_export.scl_pad_io
		inout  wire        audio_i2c_export_sda_pad_io,    //                        .sda_pad_io
		input  wire        clk_clk,                        //                     clk.clk
		input  wire        emif_ref_clk_clk,               //            emif_ref_clk.clk
		output wire        emif_mem_mem_ck_t,              //                emif_mem.mem_ck_t
		output wire        emif_mem_mem_ck_c,              //                        .mem_ck_c
		output wire        emif_mem_mem_cke,               //                        .mem_cke
		output wire        emif_mem_mem_odt,               //                        .mem_odt
		output wire        emif_mem_mem_cs_n,              //                        .mem_cs_n
		output wire [16:0] emif_mem_mem_a,                 //                        .mem_a
		output wire [1:0]  emif_mem_mem_ba,                //                        .mem_ba
		output wire        emif_mem_mem_bg,                //                        .mem_bg
		output wire        emif_mem_mem_act_n,             //                        .mem_act_n
		output wire        emif_mem_mem_par,               //                        .mem_par
		input  wire        emif_mem_mem_alert_n,           //                        .mem_alert_n
		output wire        emif_mem_mem_reset_n,           //                        .mem_reset_n
		inout  wire [31:0] emif_mem_mem_dq,                //                        .mem_dq
		inout  wire [3:0]  emif_mem_mem_dqs_t,             //                        .mem_dqs_t
		inout  wire [3:0]  emif_mem_mem_dqs_c,             //                        .mem_dqs_c
		inout  wire [3:0]  emif_mem_mem_dbi_n,             //                        .mem_dbi_n
		input  wire        emif_oct_oct_rzqin,             //                emif_oct.oct_rzqin
		input  wire [3:0]  key_external_connection_export, // key_external_connection.export
		output wire [9:0]  led_external_connection_export, // led_external_connection.export
		input  wire [9:0]  sw_external_connection_export,  //  sw_external_connection.export
		input  wire        reset_reset_n,                  //                   reset.reset_n
		output wire [47:0] seg7_conduit_end_export         //        seg7_conduit_end.export
	);
endmodule

