module qsys_top (
		input  wire        clk_100_clk,                           //                        clk_100.clk
		input  wire        reset_reset_n,                         //                          reset.reset_n
		output wire        ninit_done_ninit_done,                 //                     ninit_done.ninit_done
		input  wire        hps_io_hps_osc_clk,                    //                         hps_io.hps_osc_clk
		inout  wire        hps_io_sdmmc_data0,                    //                               .sdmmc_data0
		inout  wire        hps_io_sdmmc_data1,                    //                               .sdmmc_data1
		output wire        hps_io_sdmmc_cclk,                     //                               .sdmmc_cclk
		inout  wire        hps_io_sdmmc_data2,                    //                               .sdmmc_data2
		inout  wire        hps_io_sdmmc_data3,                    //                               .sdmmc_data3
		inout  wire        hps_io_sdmmc_cmd,                      //                               .sdmmc_cmd
		input  wire        hps_io_usb0_clk,                       //                               .usb0_clk
		output wire        hps_io_usb0_stp,                       //                               .usb0_stp
		input  wire        hps_io_usb0_dir,                       //                               .usb0_dir
		inout  wire        hps_io_usb0_data0,                     //                               .usb0_data0
		inout  wire        hps_io_usb0_data1,                     //                               .usb0_data1
		input  wire        hps_io_usb0_nxt,                       //                               .usb0_nxt
		inout  wire        hps_io_usb0_data2,                     //                               .usb0_data2
		inout  wire        hps_io_usb0_data3,                     //                               .usb0_data3
		inout  wire        hps_io_usb0_data4,                     //                               .usb0_data4
		inout  wire        hps_io_usb0_data5,                     //                               .usb0_data5
		inout  wire        hps_io_usb0_data6,                     //                               .usb0_data6
		inout  wire        hps_io_usb0_data7,                     //                               .usb0_data7
		output wire        hps_io_emac0_tx_clk,                   //                               .emac0_tx_clk
		output wire        hps_io_emac0_tx_ctl,                   //                               .emac0_tx_ctl
		input  wire        hps_io_emac0_rx_clk,                   //                               .emac0_rx_clk
		input  wire        hps_io_emac0_rx_ctl,                   //                               .emac0_rx_ctl
		output wire        hps_io_emac0_txd0,                     //                               .emac0_txd0
		output wire        hps_io_emac0_txd1,                     //                               .emac0_txd1
		input  wire        hps_io_emac0_rxd0,                     //                               .emac0_rxd0
		input  wire        hps_io_emac0_rxd1,                     //                               .emac0_rxd1
		output wire        hps_io_emac0_txd2,                     //                               .emac0_txd2
		output wire        hps_io_emac0_txd3,                     //                               .emac0_txd3
		input  wire        hps_io_emac0_rxd2,                     //                               .emac0_rxd2
		input  wire        hps_io_emac0_rxd3,                     //                               .emac0_rxd3
		inout  wire        hps_io_mdio0_mdio,                     //                               .mdio0_mdio
		output wire        hps_io_mdio0_mdc,                      //                               .mdio0_mdc
		output wire        hps_io_spim0_clk,                      //                               .spim0_clk
		output wire        hps_io_spim0_mosi,                     //                               .spim0_mosi
		output wire        hps_io_spim0_ss0_n,                    //                               .spim0_ss0_n
		output wire        hps_io_uart1_tx,                       //                               .uart1_tx
		input  wire        hps_io_uart1_rx,                       //                               .uart1_rx
		inout  wire        hps_io_i2c1_sda,                       //                               .i2c1_sda
		inout  wire        hps_io_i2c1_scl,                       //                               .i2c1_scl
		inout  wire        hps_io_gpio28,                         //                               .gpio28
		inout  wire        hps_io_gpio32,                         //                               .gpio32
		inout  wire        hps_io_gpio33,                         //                               .gpio33
		inout  wire        hps_io_gpio34,                         //                               .gpio34
		inout  wire        hps_io_gpio35,                         //                               .gpio35
		inout  wire        hps_io_gpio40,                         //                               .gpio40
		inout  wire        hps_io_gpio41,                         //                               .gpio41
		inout  wire        hps_io_gpio42,                         //                               .gpio42
		output wire        emif_hps_emif_mem_0_mem_ck_t,          //            emif_hps_emif_mem_0.mem_ck_t
		output wire        emif_hps_emif_mem_0_mem_ck_c,          //                               .mem_ck_c
		output wire        emif_hps_emif_mem_0_mem_cke,           //                               .mem_cke
		output wire        emif_hps_emif_mem_0_mem_odt,           //                               .mem_odt
		output wire        emif_hps_emif_mem_0_mem_cs_n,          //                               .mem_cs_n
		output wire [16:0] emif_hps_emif_mem_0_mem_a,             //                               .mem_a
		output wire [1:0]  emif_hps_emif_mem_0_mem_ba,            //                               .mem_ba
		output wire        emif_hps_emif_mem_0_mem_bg,            //                               .mem_bg
		output wire        emif_hps_emif_mem_0_mem_act_n,         //                               .mem_act_n
		output wire        emif_hps_emif_mem_0_mem_par,           //                               .mem_par
		input  wire        emif_hps_emif_mem_0_mem_alert_n,       //                               .mem_alert_n
		output wire        emif_hps_emif_mem_0_mem_reset_n,       //                               .mem_reset_n
		inout  wire [31:0] emif_hps_emif_mem_0_mem_dq,            //                               .mem_dq
		inout  wire [3:0]  emif_hps_emif_mem_0_mem_dqs_t,         //                               .mem_dqs_t
		inout  wire [3:0]  emif_hps_emif_mem_0_mem_dqs_c,         //                               .mem_dqs_c
		inout  wire [3:0]  emif_hps_emif_mem_0_mem_dbi_n,         //                               .mem_dbi_n
		input  wire        emif_hps_emif_oct_0_oct_rzqin,         //            emif_hps_emif_oct_0.oct_rzqin
		input  wire        emif_hps_emif_ref_clk_0_clk,           //        emif_hps_emif_ref_clk_0.clk
		input  wire [9:0]  button_pio_external_connection_export, // button_pio_external_connection.export
		input  wire [9:0]  dipsw_pio_external_connection_export,  //  dipsw_pio_external_connection.export
		input  wire [9:0]  led_pio_external_connection_in_port,   //    led_pio_external_connection.in_port
		output wire [9:0]  led_pio_external_connection_out_port   //                               .out_port
	);
endmodule

